Notify users about high issues (only)
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution:    

Description

This feature introduces a setting in each user's My account section which allows them to select/deselect a new option labeled Also

notify me about issues with a priority of high or higher.

If this option is set, users will be notified about issues that have a high priority even if they're not assigned to or watching it.

Currently, I see 2 use cases for this:

1. Project Management: Higher level project managers who oversee multiple projects and aren't directly involved in the day to day

business but want to be in the loop about things that have a high priority.

2. Help desk: In a help desk or service desk scenario, users may wish to disable all notifications and only work on the ticket queue

in Redmine during their work hours. However, if tickets have a high priority, they may want to be notified by email even outside

their work hours, when they're not logged in to Redmine.

Considerations:

For this feature, we need a definition of what a "high" priority is, because priorities can be created by Redmine admins. The proposed

implementation works akin to the CSS classes of issues (for colouring in some themes) in the issue list. For this, Redmine already

computes "position names", e.g. high, high2, highest, etc.

In order to use this mechanism, patch 0002 extracts finding the "middle" priority into its own method, and patch 0003 uses the

method to define a is_high? high? helper. A is_low? low? helper is introduced as well for completeness sake and potential future

uses.

Finally, patch 0004 introduces the new user preference and the mechanism that sends the notifications.

Tests for all relevant parts are included.

Related issues:

Related to Redmine - Feature #34988: Add new notification settings for priori... New

Associated revisions

Revision 19446 - 2020-01-21 05:02 - Go MAEDA

Use existing scopes instead of one-off AR condition (#32628).

Patch by Jan Schulz-Hofen.

Revision 19447 - 2020-01-21 05:08 - Go MAEDA

Extract finding the default or "middle" issue priority into its own class method (#32628).

Patch by Jan Schulz-Hofen.

Revision 19448 - 2020-01-21 05:10 - Go MAEDA

Add IssuePriority#high? and #low? helpers (#32628).

Patch by Jan Schulz-Hofen.

Revision 19449 - 2020-01-21 05:23 - Go MAEDA

Enable users to receive email notifications about high issues (only) (#32628).
Patch by Jan Schulz-Hofen.

Revision 19450 - 2020-01-21 05:26 - Go MAEDA

Code cleanup: RuboCop: Fix Layout/EmptyLinesAroundMethodBody in test/functional/my_controller_test.rb (#32628).

Revision 19451 - 2020-01-21 05:27 - Go MAEDA

Code cleanup: RuboCop: Fix Rails/ActiveRecordAliases in test/unit/issue_priority_test.rb (#32628).

Revision 19452 - 2020-01-21 05:29 - Go MAEDA

German translation for high priority notification setting (#32628).

Revision 19453 - 2020-01-21 05:31 - Go MAEDA

Update locales (#32628).

History

#1 - 2019-12-14 10:57 - Go MAEDA

Thank you for posting the patches. I like the proposed feature that allows users to more fine-graded control email notifications.

I suggest some trivial improvements:

Even if "I don't want to be notified of changes that I make myself" is enabled, notifications about issues with higher priorities are sent. In my

opinion, no_self_notified should be prioritized than notify_about_high_priority_issues

How about changing the method names "is_high?" and "is_low?" to "high?" and "low?"? Most core methods of Ruby don't have "is_" prefix. I feel

the names are a little verbose

How about enabling notify_about_high_priority_issues by default? To do so, users will be able to expect that notifications about issues with

higher priorities are sent to most members

#2 - 2019-12-14 10:58 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-01-07 06:19 - Jan from Planio www.plan.io

- File deleted (0003-Add-IssuePriority-is_high-and-is_low-helpers.patch)

#4 - 2020-01-07 06:19 - Jan from Planio www.plan.io

- File deleted (0004-Enable-users-to-receive-email-notifications-about-hi.patch)

#5 - 2020-01-07 06:19 - Jan from Planio www.plan.io

- File deleted (0002-Extract-finding-the-default-or-middle-issue-priority.patch)

#6 - 2020-01-07 06:20 - Jan from Planio www.plan.io

- File deleted (0001-Use-existing-scopes-instead-of-one-off-AR-condition.patch)

#7 - 2020-01-07 06:25 - Jan from Planio www.plan.io

- File 0001-Use-existing-scopes-instead-of-one-off-AR-condition.patch added

- File 0002-Extract-finding-the-default-or-middle-issue-priority.patch added

- File 0003-Add-IssuePriority-high-and-low-helpers.patch added

- File 0004-Enable-users-to-receive-email-notifications-about-hi.patch added

Thank you for your feedback!

Even if "I don't want to be notified of changes that I make myself" is enabled, notifications about issues with higher priorities are sent. In my

opinion, no_self_notified should be prioritized than notify_about_high_priority_issues

 I agree and this was already the case. I have now added a test to demonstrate the behaviour. Can you still reproduce this?

How about changing the method names "is_high?" and "is_low?" to "high?" and "low?"? Most core methods of Ruby don't have "is_" prefix.

I feel the names are a little verbose

 Thank you for the suggestion. I have changed it like you proposed.
How about enabling notify_about_high_priority_issues by default? To do so, users will be able to expect that notifications about issues with

higher priorities are sent to most members

 I am not sure if this may confuse existing users. But I agree with your point regarding expectations. I have therefore enabled this by default now.

Please find the new patch series attached.

#8 - 2020-01-07 16:18 - Jan from Planio www.plan.io

- Description updated

#9 - 2020-01-08 04:55 - Jan from Planio www.plan.io

- File deleted (0004-Enable-users-to-receive-email-notifications-about-hi.patch)

#10 - 2020-01-08 04:57 - Jan from Planio www.plan.io

- File 0004-Enable-users-to-receive-email-notifications-about-hi.patch added

Minor update to patch 0004 which downcases the priority name in the setting label as it is part of a sentence.

#11 - 2020-01-08 07:17 - Jan from Planio www.plan.io

- File 0005-German-translation-for-high-priority-notification-se.patch added

And a german translation.

#12 - 2020-01-08 09:09 - Go MAEDA

Jan from Planio www.plan.io wrote:

How about enabling notify_about_high_priority_issues by default? To do so, users will be able to expect that notifications about issues

with higher priorities are sent to most members

 I am not sure if this may confuse existing users. But I agree with your point regarding expectations. I have therefore enabled this by default now.

 I changed my mind after reading the following sentences in https://support.plan.io/news/162. I understood that this feature is not intended to get more

emails but to reduce the total amount of emails.

This will essentially notify you about high priority issues regardless of whether they are assigned to you or whether you are watching or being

otherwise involved in them. This will also work if you have selected to receive no notifications at all otherwise.

We believe this to be particularly useful for high level managers who are overseeing many projects but aren't directly involved in their day-to-day.

It's also great for help desk scenarios where agents won't need email notifications for regular issues as they're working on them consistently

following an orderly queue. Yet, high priority issues could now alert them even if they aren't currently logged on or are working on something else

– if that's what's desired.

#13 - 2020-01-09 09:54 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#14 - 2020-01-09 10:07 - Jan from Planio www.plan.io

Go MAEDA wrote:

I changed my mind after reading the following sentences in https://support.plan.io/news/162. I understood that this feature is not intended to get

more emails but to reduce the total amount of emails.

 I think one could make an argument for both options. I am happy to alter the patch again, it’s just the three lines in the initializer. Maybe some other

folks have feedback on this?

#15 - 2020-01-21 05:35 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
Committed the patches. Thank you for improving Redmine.

Jan from Planio www.plan.io wrote:

Go MAEDA wrote:

I changed my mind after reading the following sentences in https://support.plan.io/news/162. I understood that this feature is not intended to

get more emails but to reduce the total amount of emails.

 I think one could make an argument for both options. I am happy to alter the patch again, it’s just the three lines in the initializer. Maybe some

other folks have feedback on this?

 For now, I have modified the patch to disable the setting by default. As you mentioned before, it may confuse users.

#16 - 2021-03-27 19:22 - Marius BĂLTEANU

- Tracker changed from Patch to Feature

#17 - 2021-03-30 07:47 - Mikhail Oleynik

Hi!

Could you please help me with using this really cool feature?

We use custom grained issue priorities list in our project. How can I change priority fro this new setting for it to be not "higher than high" but "higher

than [some our custom priority]" ?

Thank you!

#18 - 2021-03-30 10:54 - Bernhard Rohloff

As I understand it the state "higher than ..." is determined by the position of the status in the enumeration list. If it's position is the in higher half of the

list it's treated as "higher than ...". So it depends on how you sort your priorities in the enumeration list in the administration section.

#19 - 2021-03-30 11:58 - Mikhail Oleynik

Bernhard Rohloff wrote:

As I understand it the state "higher than ..." is determined by the position of the status in the enumeration list. If it's position is the in higher half of

the list it's treated as "higher than ...". So it depends on how you sort your priorities in the enumeration list in the administration section.

 Looks like this is not half of the list:

!data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAQ0AAAGwCAYAAACzRjCjAAAgAElEQVR4XuydCViVVf74P7LjAoYJ/kXctUBRykRFEzU

XXHBhHJwwB0tsFPu5tSmNIZVoNbmUSpNYWupM1qCG+04pKOaEK6GYJEKAygAuoCz+n/cuyKr3sshyv+/z9DwzeN7znvM553zu+Z7z3nMb3L9//z5

yCQEhIAR0JNBApKEjKUkmBISAioBIQzqCEBACehEQaeiFSxILASEg0pA+IASEgF4ERBp64ZLEQkAIiDSkDwgBIaAXAZGGXrgksRAQAgYujdsknUv

CtFNnbM0q3xluJ50jybQTnR+aWRoXzt3Btktbmlb+kZKDEHjsBMqRRhp733mN0IvQyW8li4baPvaCPY4HJmycylvbMpVK8sWioZUbxAkbmfrWNjLphN

8XixhaphFuc/TjV1lxIhfTIYFsnNrlcVRTniEEqpSAQUsj4+jHzFgRQ9MRASyb3IVKTTYyjvLxjBXENB1BwLLJdDGDc2u8CdoHDAlks0YQFzbOIGhbBp38

l7FwQP2UcZX2UMms1hEwaGlUd2uUJY3qfqbkLwSqm4Be0ridcJh1a9YRefEOuZhi7TSEGf6TcdF+YGbEsHHVOnaeSlb9e8OWPfGZPZWhbRtB2l7e

eS2UiwwhcPNUVBPzwr91wm/lItRR0G0SDq9j3cZIzmfmYtqwJT19ZjN1aFsalUXj3Bq8lY/zNkPw7ZLAd/sucoeGdBoymzcnu6hDDm2aTr4EuMewfP0p7

H1XMosVvKaOwVi5aCjqamQQs245q/adJzMXTK2dGDLDn8naSpaT1yKXGE39lLrMghXq8O7Bpa43Zcw+0HDbdz6ZO7karrMn41IY4mQQs3EV63aeI

lkp06OYVHevkfwNmoDu0lAG+JxQLuaa0sZtAG1vxxB56hq5pt2Zteod+jY8x5oZQezLNKV5dzdcGiVwOPJ3crFmxAdrmNxUN2mk7X2HOaEX1VJq3pA

71zJV/7uT37Ky11a0g1hpRtOGNG8KGdcUqYH1iA9YM7nzA2mYmmKam6v6N2WtprQ0lLWcOYReVI3MInkVeb72eSXyKi6NAOxPbGLrvn2cSgZadm

dIlwGMmNqXjJLSuH2ONbMVbsojm9OUDK7dyQXrIQSumkoXs3ucWzODoH2ZmDbvjptLIxIOR/K7kkRbP4PuwlL5x01AZ2lk7H2HV5WPTrcANs92Ua

YJHF4UxHfJ4OT7ETMabWJi0D5yW/qybPlI7JUP+HUzWH0Cmo54k0U9Lzx6ptE0muUv/4PI3Ia4B6xihksj1YCfHLSPOw1H8MG6yXQuSahQGj2Z9dW

b9G0Et6OX8+o/IsnFjTc2zMb1omY2oshnTAD+Y9vS1LQRtw+/U3ymcW6Nug6mbsz6YrY6r5hVzAiO4I6pG298VX5ejTK0UnwwayorPCn5t6Qds5mzPh

k6+bJy0UhsyWDvwlcJPQ/dZ33FO30TWDMxiH25LfFdtpyRarDMUIPlzUUjafu4e408z6AJ6CwNLqxj8t93cse0Od1H/JmxfV3o1Lbpg8XDjMMsfHU15zGl

jbsvY4d0oWdn+wf/rkt4ck0zuE2HELhRE8JwjjXeQexTdiUKQ5gibVYojSJhDzGs8g4mgoaM+GAdk3O10iiaRomOiksjY91k/r7zDrgHsHmGIkZVbKN5vilD

AjcylbLzKivUerQ0mhfZpfqCRZotl8JyqRZQ7Tm88FVWnwfTNu74jh1Cl56dsa/Uqq1B93mpfCUJ6C4NZa1h72o+Xn+Ca8r8XhUONKen75v4a9YbMmL

WsejjnaqpsyYBbUa8yTvK2oIO0nCN0cxmyqxUc3yWrWKs8klb9CpTGtqBrmxcbC53oJeUxrWy1ht4sP38sLwqJg00s4hyWtHtDTbMdsUsI4Z1iz5m5wO

wmLYZwZvvFF33qGRPkNuFgI4E9JCGNsd7JF04wbl9W1kfoaxZaD7NC+OGe2QkXCTm6Fa+23lKJRgn/y9Y6BT96PBEO9No2Aa3vp1LLXw6jZhKX5

2koZ1paESTUftnGs27D3mwoKxF3dINn5FdCjncy0jgYsxRtn63k1NqsHyxcEDl3i/RsaNIMiGgJaCzNLRT7aIve8Us9yY4sviiYtGXlgrjdWWaPSZJI42W+

CxbrpoxFK4XaEOPRkdZ9PIKTmHNkIDlTFXWNJQrKYYYU5fSg0oVPWiFUMaaRql1iIeHJ7Z6rWkUz+uhM40i4U7JkOWCJiQy7eTLR4vUa0HKDtK5m

CTaunSmkXaGVjRkS9rB7DnrSS66EyV9Wgg8JgI6S0NZ05j6951kKmsWbgPozAX17ohpJ/yWLWKo2VEWzVjBqVzN7knTDGIilZmGNUMCVzG1yzV2

zJ6DsuZXcpeDIusVD3ZPlO1OzW6CsvfZ3IePVo0tveinz+5JiUFWMjyxVYUiOu6elBywZWwfF+av2glyYmLgOzTfVuKFryK7J2oujbidcU219drzjS940zW

Xo4tmsOJUrmb3pCkZMZGqmYb1kEBWTa3kS2mPqaPJY+oPAd2loXz+JexlzfJNnEjWvqfhxsTJkxmgvIehXGkxrFu9in3n1dukDVs6MWTyDCZqXzhIO

8ry4NVEJivvX3RixJsjyAhaQUSJRc60mHWsXnOYi8rWqWlDWjoNYfKMiUXeWyjSAEVmGiPGZHB450Pe03ikNJR8dXxPQwdpcDuBHcsXsumUUo/u+

K96h+bflX5LVEm3d80qvjvxe+G7IW4TJzN5gPbdlDRi1q1+8O5Iw5Y4DZnMjIma91DqT3+UmtQBAnX/C2tlLoTWAfJSRCFQRwmINOpow0mxhUBNER

Bp1BR5ea4QqKME6r406ih4KbYQqKsERBp1teWk3EKghgiINGoIvDxWCNRVAiKNutpyUm4hUEMERBo1BF4eKwTqKgGRRl1tOSm3EKghAiKNGgIvj

xUCdZWASKOutpyUWwjUEAGRRg2Bl8cKgbpKQKRRV1tOyi0EaoiASKOGwMtjhUBdJSDSqKstJ+UWAjVEQKRRQ+DlsUKgrhIQadTVlpNyC4EaIiDS

qCHw8lghUFcJiDTqastJuYVADREQadQQeHmsEKirBEQadbXlpNxCoIYI6CSNjOwbnP/jJDGJx8nM/h95BflYmDTCxaE3zzj05snG2p+Nr6FaVNdjU37i

pcBEvIJ88GpRXQ+RfIVA3SLwSGlcSDvN3vNhPGHdnKdadMfStDH3Cu6RdiuZqPiD3L2dy5+f9eXZNr0fUvPrhL0bRoBpVyIWuGFXJGXq7k04RjoQ+9

7zxf5eKzCKNGpFM0ghaheBh0pDEUb46Y10b9eHTrbOXMq6QEp2ErkFuVibWWNrac/RC3uIT7iMX7//o2c7t3Jqp5aGXyqMG+fFWo8nC9OJNGpXh5
DSCIFHEShXGkpIsuH4Z3S070Inu25E/LGXO7fvkHs/DwsLc+5zn7sFd3G06kpk3H7S0jIIGv0xdlb/r4xnqqXxVZ4lF2+YseqjCbxgrU5WWhqpHFl9gNdP3

eIixozr787SiR2xzjzO3Lcu0a8wVEggZPZeEr19CXYzB+5y5NP1fGg3ivAJLR+UIfM4M966xAtFQoycyK203N6UmOABtL5+npCQKD6/mk+iiTEvurnzycS

OWCg5FJtpxLH8bydpXSSfUmW/E8+mT6P48HI2iSaWTPN6geAXipTlUa0h/y4E6gCBcqVx9NIezlw7yYCnPDl+7Sdu3bvN7du3eavXQlW1gv8bQPadL

IxMTOjV4nm+PvRPxnZ5ib+4/rVcaYS5DWfahV343enO8Xm9ULxRfODd4cTqf/EOffhuqhPWdxL46pO9HHDzYoMHKvH87KGRxG+H8fzwAhe7u/Or/1

OAIpEDMH0K05X/W3jd5MCSf/GVi5KHMsNRy2W53Si+n5DPV7N3caT/KFZ5tcQi8zzLA4+QOdGXwJ7mekojlbB3t7HDRZ0XKTG8t+QktpNfYraLIjW5

hED9IFCuNFYffp92rZ24a3SPS9cvcq8gl5u3sggetEJV8xn/eYkmTU3JK8ijs1137t66zS9xv/Lly/96iDS82ND/DwLmRIHvSwS7NSwuDdUn+w2mrRxLP1

N1NqpZwQFbYhe4cffbdQzN6sevUzuq7vP7rQmdLpjx8vJhOKvuzWDWPz3pWaIEmRHf0u7HtlxeoIhKmTFEY/v3Sfg43CUzMx9z64bqmQVwYvUXTDI

dpHqGXjONmHCe3tiEvR8PoLUmrytFyls/uovUQghAudL4YOcs+jp7EHfzHP+79T/muy4qk9ecPT5YWTala7Pn+Grf1+ycffjh0vB4EmUQ99pkTuiysXT6s

chCaEw4NiF/lL7fzlG9UBq3h/6h5mz4uAcXl2zmwrgx2G3cTs7kyXilbKXlzx1InulcKIDCjFShTQIjlbAocQ/9N5mzQQlNlARFwxPtDd3dSVdmL3qEJygLult

ulS67Ni/pbUKgnhAoVxoLw2fwXBd3YrPOkp2fw7s9PipXGk3MrOhm25N/7v6Kfa8feaQ0lB9ZPrBkM0FW/QhtH0Nv7e6JIo11ZkQoM4cyn6ZeV+j0d2eOf

pLMi8uHYf3tOgKsR/F2YhhfdX6Rpe5NyrhTHaIc6O/Lixc2EGQ5nO+VdY/cOJa/GcGZ/sNZ5emAhal6pjGMCkojpgOXNWFXPekfUg0hUIpAudL4cM88m

j7ZjALz+1y9eYU7uTncTsvii/GbVZkoMwzlMmpgRKdmTtzJusOxX0+zefoPOkhDWWSMZEpgLHftjNlJB/VMIvEw4z9IxEsVOpTVWur1iH/dacYRq66cU

mYDytrGugycszPoOn0yPu3LbmVViHKqKYsS/8Bam66MkObh0oimddCkwnc2iq7HWJ/YiksohBYJraS/CYH6SKBcaew5v5Wt5zcw6tkJHL26l5z8XMwK

GrDkha8KpVGQfx8zIxMGdBjBsh2f8pdnffHrP003aWgWQd233CJNG35oZiAzcjvzw8wBdG54kzNh4QRlu7FhcltV2KEaqFtuMc1Xu2ui3kV5hzYPmaEA

uWcIeC2KMKvOD9YdMmOY+9ZJLHxG8W7PJqTFHGDG+j84WmZ4ot4B2tTenbUTO2CecpYPP4lmhZUmdFItxO5lS3tXvpnugh2pHAjZRViXsax6oWl

97DtSJwMlUK40rt9K4+M972LexJie7ftz9PfdqkXP/IJ87ucrtO5jamSMe/sR7Dm1g0tJKXzhu45WT5Q1RVAPuDDVLsiDdzQglbD3t+GXqx14yuBOZkfIAd

47l81FYFAXR4L9nqdzQ00LqXZNUpldZNtWtXiJdhelvJYse0s25+wBZoRcYkue+lkvW15iUnYP9dpIyZe7Uo4T8MkpPs+CTs1smdzqJu+ktH3wYlpmPF

99GsFyZftW2S7u04elk51Uu0RyCYH6QuChL3ed/D2Kzw8v48knrXn+qcEkZl4mKeMy9wsKaPVEe1pZtWHXqXBOx18icMwHvOA0tL5wkXoIASFQDoF

HvkYeffkoa378jOt303B37Kd+ees+JP7vCnt+OYgZjXjDY54IQ7qYEDAQAo+UhsIhJTOZQ7/uY/fZnVy7mar6wpqVRVM8uo7Co+twWtlo30wwEGpSTSF

gwAR0koYB85GqCwEhUIKASEO6hBAQAnoREGnohUsSCwEhINKQPiAEhIBeBEQaeuGSxEJACIg0pA8IASGgFwGRhl64JLEQEAIiDekDQkAI6EVA

pKEXLkksBISASEP6gBAQAnoREGnohUsSCwEhINKQPiAEhIBeBEQaeuGSxEJACIg0pA8IASGgFwGRhl64JLEQEALlSuPWrVuqH0fKy8sTSkJACAi

BQgJlSkMRxr179zAyMuL+/fuCSwgIASHwcGmkpqZibm4uwpCOIgSEQCkCZc40kpKSaNhQe/y3UBMCQkAIPCAg0pDeIASEgF4ERBp64ZLEQkAIiD

SkDwgBIaAXAZGGXrgksRAQAiIN6QN1jkDs6iHM3AKmI4PZOrsnZpoapO+Zz4R//Mxzb3zL4mE2da5edaXAIo260lJSzkICWmmAHeM+/RJ/R7U2RBq

Pp5OINB4PZ3lKFRJ4IA3AYQohX/6FjmVJI/0U/16xgn9HJnKbRji4/YVZs/5Cd2USEruaITO38Nz0AHqeCCH05/9h9vRI3nznL/DvRXy841duN3qaKYs/4

S8aKXHvCntWf0yI8m+mT/D00Cm86T+M1tqpThXWsTZnJdKoza0jZSuTgFYadnZ2KC8iPj1rLZ+Nal1ipnGLsFemEJLowNBZ03nu3na+CYkk8bk3+Hbx

MGw00oBGdBs5CofE7ew4fRtTU1PMHIcyyiGR7TtOc9t0HJ/u9MeRdA7Nf4ngn81U6Tvc/pnthy9BiRDJEJpMpGEIrVzP6qiVxnNvLKT7twtZm/IcARsW0

/3Ew9Y0rrB92hRWXBrHP/b5010jjQ6z1vL5qNZKbMP8Cf/g5w7TWfu5F61JYc/rk/jH6ed449vFDEv/Ny9NXwtTQtjwF2Vec4tDgeMIjhzAwi3v0LdxPYP8k

OqINAynretNTR9I41uCWocxbea3pAxYyKfPbWd60YXQYuGJtvoaCaRqwhPtoqlWGtqZCOnsmT+Bf/ysTt9TI6TSEDX5GdC6q0ij3gwlw6lIUWksHtaYE

8vHErDDhueea8zPP1/S7J6k8+9XpqtmIbM+fZMBLdI5HDidFdqZQwWl4TAygFkDixrCDDtHR1oY0LqGSMNwxlq9qWlxadjAraMs8l7I4Vx1FVVbrj1PqM

ONwpmDNjyp2ExjWOpqRszcQu5zb/DN4mG0UG3XnOBQancGahdK6w3hh1dEpGEgDV2fqllKGsr4PTSfl4J/RvGGShoDE1k+9g125DrgNs4Nu/+pFy5

zqaA0bFLYM/8V/vFzLo26jWSUI8Ru38Fph1l889kotUQM5BJpGEhD16dqliUNuML2/5vCil810hhmw734MAIDQvn5f2Y8PdKPvv9bwdrIDsxa+zmjbuu3p

qF6V+zeFQ6FhhCy/Wf+l1tiC7c+AX5EXUQaBtTYUlUhUBUERBpVQVHyEAIGRECkYUCNLVUVAlVBQKRRFRQlDyFgQAREGgbU2FJVIVAVBEQaV

UFR8hACBkRApGFAjS1VFQJVQUCkURUUJQ8hYEAEypWGTbMnDQiDVFUICAFdCYg0dCUl6YSAEFAREGlIRxACQkAvAiINvXBJYiEgBEQa0geE

gBDQi4AO0khn26JwtvXy5MvBBnQ8kV4YJbEQMBwCIg3DaWupqRCoEgJVIo3M2CMs3niJb25CqyZP8PrEIXg7WkLWSeYtuEyfgPGMsVPKe4U18w

5xddyLBPVSzke7R2TIv1hqN4zvvQzpGJMqaTvJRAjUCIHKSyPhCBOXJTFgykimdrMk87/7eGl9JpPmTMC7rTq0+e9gjSQSjjB+2SXinfsS46ec6KxIJAK

mTGJqpxqpvzxUCAgBPQlUWhonQ9czz7I/+ya2K3z0uY3fMDG7j0oMiWGb8MzqQ8zkdqTt/x7/hMZ0jDdj0pJBdEmN4pXgTGas8KCHngWX5EJACNQ

MgUpKo8RMQlOHzKNbcDrcgl/e6YPtxYMMWW/Glx+4EL90C/GeI7HdvJu7E30YnbqDDv9tx6XpTljUTP3lqUJACOhJoFqkocwonjlur5YG8aycFUPHN5

2IWpmC95JBWIVtItDKg9evhvNNpz+xxJB+aUbPBpLkQqC2EaikNOBR4Yl2sXNz9hNEWTlxXFnLUNY2NmbSJTuTLn4+eLetbVikPEJACJRHoNLSUA

QwcVkKY17zwLuTJZmnI/Bfe40xqoVQ9WNVM4/w2/j5aHdN1LsoC3Fgr7K2Ie0jBIRAnSGgszT800rWqRGrNVupmbERBK5P4Lts7ZbrILwdi/y4pWrX5B

oz3h/HQCt1PsoMZQraXZQ6w0sKKgQMnoAO0jB4RgJACAiBIgREGtIdhIAQ0IuASEMvXJJYCAgBkYb0ASEgBPQiINLQC5ckFgJCQKQhfUAICAG9C

JQrDXt7e70yksRCQAgYBgGRhmG0s9RSCFQZAZFGlaGUjISAYRAQaRhGO0sthUCVEahiaeQAqUCG5r8qK6dOGf0vej9/PWvL169044mH3tEUUE4

KUx0nJpcQEAJ6ENBBGtfZvXQNG5+04tO/di02GIsP0hvAOT0eXfVJb108zWeJ1vzfoDaovvmSn8ONG9dJ+i2DM9fNGDCqM6WXd58CBgHyi3JV3yK

SY30koJM0fvxyCUefvIijoxNjOzUs5FBqkNYwoeLlucP5g+c5bWpFt8b32JZoyl9HP1WGNJRCmwD9gb41XAN5vBCo/QR0lkZi6wRu3DFm1NCutNccs1

X6k/0mv528zP6Ue9zACMcW9gx0tcNaxeE6UT8kY+FoQVxcFiZPOTH+/13j+4M5OHUr4PTZ21wugHa2LRju0pDfIhP46VYBGJnxvKsjz9iaqmneuUZ0d

CInsgrIMjLCuXVbPLrZqIZ9uRJLiWNxNA+RhrahOgDeGonU/saTEgqBmiCgszTSnoeeNy6yLbcFrz7fSnU8X/FBmsvvx05xOL8FY3u3wpqbnP8pjv0WD

vj3tsNEJY0ETlg15U/PONCssTkW2b/z/cFrmLTviIejFSbZV9l/MI1LRhY837sT3Z4w4kZcLBt/b8iE4R2xI5Nfdl3k9zZPMcqpCSY514g69Ds53VwYaG9SB

dJQmkDEURMdUZ5ZdwjoIQ1Txre9yf5dieDSncGtTYsP0luKAG7SbWhXOmsP/My5yva96bQf1A2nxoo0Emn0/DN0065Squ7JoU+RsCEp+me+pg3zX

ZurKarSZOKkyiOPnJz7mFiYqmYWyqWk/49xe2b2sKkiaSi5dgdG151WlJIKgcdIQD9pdGpITsJZvjhtzJjhjjRLKLLwqIQAp8zwH9ZOE44otcggelc8+c88R

58W6vDEWjX4NTUsVxptme+qWZgsJo0S4YkWVAt1+sqHJ0XJe4GcKfYYu6I8qq4Q0FsakMNvP53lkHkbxj7xB19odyvKlEY6UT/8Bq5VJA3L60TtTSC

1TSdGPWWNibF6pvE11SENZbqkiEMJV+QSAkJAS6AC0lBChitsPXidvMYNuIiNeotTp/CkkjMNygtnqkMaWkS9gKHSY4SAENAQqJg0NIugX8be43bj5

pr3IjQLobTiTz1b0JibXIi8yG5T+yILoZWUhkkKu/cmY9KtMwPszbn9x29sj7nJlWoJT4r2EeWnnEZIpxECQgCosDTgFucP/8q2Aq00lJepbnLhxG8cTsvVb

Lm2ZGCPFlgbK6yrZk0jL+03tkenE6vanm3Os6bp/Ce3JW/2tiOn5Mtd2ibWecv1YX1CWRhVFkjlEgKGTUAHaSiAIoAfDZuU6h3T/5N3OAy8F0j1VTONw

/dLgrh+/TpPPln0terfAeU/Q7+U183lrVFD7wWGXv8G9++/V0oaWVlZWFlpfqDE0AmVqr8iDeWVc+2bIgJICBgWAZFGhdpbXv6qEDa5qV4QEGlUuBnl5

a8Ko5Mb6zSBapaG8oms/rpazV63lR+CrOIiyMJoFQOV7OoIgXKlYdnwwVfgy6rL/ftO3L/frJxqNqKgwAlUX2urHZex8b9p0OC3Ki1MQcEQCgp6Vmmek

pkQqO0EKigNE/Ly5taxxcAcjI3/Q4MGVbkL1Ji8vJm1vY2lfEKgSglUSBoFBa4UFAyu0oI8nszyMDI6gpFRZJU9Lj//Je7fb11l+UlGQqC2E6iANJRZhj+oD9

Srk5eR0QmMjPZVSdklRKkSjJJJHSKgtzQKCtwoKBhQK6uYtv97njluzy/v9MH2oSXMw8RktfINmkrXo6DgeZT/5BIChkJAB2lk82tEHAeNm/NS32dpmO

9buJah+yB9PDhLledGHGvWRhOaVMBVjBjwtBNL/HrgYApGDU5jZLy90gUTaVQaoWRQxwjoLI2N1xqS9cRCPnFvW1jFWi2N3MusXPAj51wHssSzN

dbZV9j8+SHW2Pdn38R2qjoYG2+lQYPzlWoykUal8MnNdZCATtI4uy+BxdGDOJXclGXvj2Og5g3zUtLITeHQ+iMEnrnNJYwY7dyDAD8nHFRg4lk5KwYr

T2v27ErGfLgnXzrH8UpwJmO889kcdp3DeTDg6a4smWjDoc+OsDStAEwaMddvJH91tFTjLTp7MDHiz679WDKhnWpzt1h5Yvfh8jlsXDGk8PytnOM76L

Dfpkj4ouyofEuDBkkVbjqRRoXRyY11lIBO0vhpfQFr7Pzxu7gf/+yuRMztoXplq7g0sokM2czivK6sntYDB1LYtmwPgU16cmy6ExYqaRwl1N6BtT6udLRrjH

V6FK8EX8DcXZkN2GOefpKFwbEcMrHi9WlD8G5rTPyuHYyPtGHjkkF0IYmv5+0nym0Yy0a3wCIrjpXBx8jyfpGAZ81KlKd0i6jKe9GJS6ryqC8jo59U/1X0

EmlUlJzcV1cJ6CGN1/nSLYXA+SfAx5ugXpbFB2mqIoAUvN8fh4f2u25ZJ5m94DIDA8Yzxk6RRjS2c3zw1kY4qnsymbHCA+WYG+U6Gbqe0fQmyU/5E

SPlB9uUNEmMUeVxj8ysfMytLAsHvZJ+ikl/Yia3e7g07pwncH4MrV7zYWqnB80l0qirXVfKXVME9JPGYBsyj27BfbMZqxePpGNkkd2K07ux39yYYx/004

QjSpWusGbeIe76+PJaN3V44qAa/JrqliuNviT5dSxDGiXCEy01Z3X6ctdY7lxmzcc/8t++IwgZrDnlXHNvZd8UlZlGTXVdeW5NEdBbGpDJoaVbCbbqTUjb

M7hrtzjLlMZlVs76EaZUkTRs4lm54Cjn3AazbLg9FqbamcnDpHGNbR/tJNSmL9/5dSz2YnuDBhkYGytbrxW/RBoVZyd31k0CFZCGEjJEMz04jru2xuyhn

XphUafwpJIzDcoLZ8qTxi1Ohv7AQnqwwe+pUl+dq4pt14KCgRQU9KmbrS+lFgIVIFAxaWgWQYeG3+aabWfNboRmIZRnWbE5XvkAACAASURBVOvn

jC0p7P5sH/MsexRZCK2kNCzPMG9BDObeHsx/pjHXzkQwZ1MqUWWGJ9mcDN3ClPR2hL/Vp0jI9ICSsdF2GhidrgC2B7cU5I+l4L7y5Ty5hIBhEKiwNE

A97ffP1UoDyE1hd2gEwb/maLZcXQjwdVa9TKXdcq3smkZObARzQhP4QbU925lJlpeZku2i2hHJKvpGqGrmc4E9ZbTjfFW4BCZKaNIgoxItXRe/uFeJ6s

qtQkB9GnnZx/0V/Wp8fYzbq2Y9o65+cU/6vhCoOAGdpMH9J8kvGMz9++0r/qRadqeRURRGRocqVar8fH/u329aqTzkZiFQ1wjoJg1NrdRfVutXx87RKLt

JjI3XV+pNUO43JS9f+bavXELAsAjoJQ0Fzf2CbuQXjKrjlHIwMVlaqTrUDw6VQiA3GygBvaWhcKrrOwYNGiRjbLyuUk1ekD+KgvvdKpWH3CwE6iKBCkl

DOYAnP9+D+/c718U6UxWH8KiP+au7BxHVyYaTQtcKApU8jVx5H1zzHZFaUR1dCxGnvKGma+Iy0rUB/lqJ++VWIVB3CVRSGnW34pUrufILa+6Vy0L

uFgJ1lIBIo0INJ7/pWiFsclO9ICDSqFAzyq+rVQib3FQvCNQrady6eJrPEq35v0FtqnGJUvnh5zfrxbsq9aIHSyUeOwEdpHGH8wfPs9/IllcGtC42GB/PINWd

Sany3LlG9LFEjt0q4DZGOLawZ6CrXSV/KFI5LmiE7oWSlEKgnhHQWRrbboGjoxNjOz34ucbaLY0MonfFk9zmKUY5NcEk/ybnf4rjhE0nfLtV5vdlhwK96lk

3kOoIAd0J6CyNXwpMuXHHmFFDu9Jec8BmKWnk3+S3k5fZn3KPG6U+2a8T9UMyFo4WxMVlYfKUE+P/3zW+P5iDU7cCTp+9zeUCaGfbguEuDfktM

oGfbhWAkRnPuzryjK3qq7KgzB6iEzmRVUCWkRHOrdvi0c0GJWgoVp7/XWZrdD59hnVEe1BY1UjOu45uM+veKSSlEHgYgQb372+7D6eKpcnKysLKS
nvQpzo8Oe/QiZ43LrIttwWvPt9KdQJW8UGYy+/HTnE4vwVje7fCGvUn+34LB/x722GCIo0ETlg15U/PONCssTkW2b/z/cFrmLTviIejFSbZV9l/MI1LRhY8

37sT3Z4w4kZcLBt/b8iE4crgz+SXXRf5XTt7yLlG1KHfyenmwkB7kxLlKVHtnAxOH4vnN/visyX9uof8Urx+vCR1fSTQ4P793PvwWbFfGytbGk6Mb3uT/bs

SwaU7g1ubFh+ktxQB3KTb0K501h71nXOV7XvTaT+oG06NFWkk0uj5Z+j2hAal6p4c+ox+CnvNn5Kif+Zr2jDfVXOWpypNJk6qPPLIybmPiYWpamahXE

r6/xi3Z2YPm7KlkRLH4uibqrSt7dszoYd6VlKxSwlLlPBELiFguAQa3L9/XzPT+KGQQrnS6NSQnISzfHHamDHDHWmWUGS3Qhmcp8zwH9auyEKjel0h/

5nn6NNCHZ5Yqwb/o6TRlvmuT6oTFZNGifBEW+IW6vQPDT80M41frDvi+0xFvs6uBDmvyK6J4Y4VqbmGgEYayv/bBFxS/flh0oAcfvvpLIfM2zD2iT/4Qr

vFWaY00on64TdwrSJpWF4nam8CqW06Meopa0yM1TONr9FBGqppSRyLTxvziirU0edSBPYiUBHZ6PMcSSsEaj+BItLIAcJU4ni4NJRP/ytsPXidvMYN

uIiN+r0IncKTSs40KC+cKUMaab+x8RcYPKz9A0Eo0jhbcjb0qEZStliVkKTiQc2jniD/LgTqEoEi0tAWO4LMzENYWxtr/qBdCHVifInt1i9j73G7cXPNy1Sah

VBa8aeeLWjMTS5EXmS3qX2RhdBKSsMkhd17kzHp1pkB9ubc/uM3tsfc5EpZ4Ul+Kod2JJLZUbPlqnd4oswqlNmFJkyqS60qZRUC1UigDGlAUlIS9va3

gBTgD87t/5bYNk8Xkwbc4vzhX9lWoJUGkH+TCyd+43BarmbLtSUDe7RA7Z+qWdPIS/uN7dHpxKq2Z5vzrGk6/8ltyZu97cgp+UZoZgpRJ5M5obzcpWz

P2jsw+JnmxX77pGy2yrKs8qq4hCPV2Pck6zpK4CHS0O5nqFYjgUjlRxOBvDpaVV2KrYQgyjdY++qSWNIIAYMkoKM0tGwUYShnUVyvZ7AUWbQC1e

qHdr+4nlVRqiMEqoiAntKooqdKNkJACNRZAiKNOtt0UnAhUDMERBo1w12eKgTqLAGRRp1tOim4EKgZAuVKw6aZvJ9QM00iTxUCtZuASKN2t4+UTgj

UOgIijVrXJFIgIVC7CYg0anf7SOmEQK0jUK+kkbb/e545bs8v7/TBttahlgIJgfpBQAdppLNtUTiBpo7sfcu12GCsbYP0YeVR/m1oOAQFjGeMft+Lrx8tLbU

QAlVEQGdp+KfBaE9PQgbbFD66zkgj6yTzFpzlGxqxWqRRRV1HsjFUAjpL45s8C+LTzVj2/jgGao4PLSWN3BQOrT9C4JnbXMKI0c49CPBzwkFFN56V

s2Kw8rRmz65kzId78qVzHK8EZzLGO5/NYdc5nAcDnu7Kkok2HPrsCEvTCsCkEXP9RvJXR0t1G92IY83aaEKTCrhqYsSfXfuxZEI71TdGypZYNpEhm/

nG0o67v9xijEjDUPu61LuKCOgsjW29BuN3cT/+2V2JmNtDdaRf8UGqHpyL87qyeloPHEhh27I9BDbpybHpTliopHGUUHsH1vq40tGuMdbpUbwSfAFz9

4Es8bTHPP0kC4NjOWRixevThuDd1pj4XTsYH2nDxiWD6EISX8/bT5TbMJaNboFFVhwrg4+R5f0iAc+alSmNnNO78dzSmC+nGRMYnCTSqKKOI9kYL

gE9pOHJl24pBM4/AT7eBPWyLD5IUxUBpOD9/jg8tAeZZ51k9oLLDFR9uivSiMZ2jg/ebTXAVfdkMmOFB8r5WMp1MnQ9o+lNkp/m1+hVabSD/R6ZWfm

YW1kWfhdVST/FpD8xk9uVIY0rrJl3BKb4MNWqaD6G2+BScyFQWQL6SWOwDZlHt+C+2YzVi0fSMbLIbsXp3dhvbsyxD/ppwhGlaMqgPcRdH19e66Y

OTxyKhgflSqMvSX4d1XUrJo0S4Ym29s7q9CXDk8Swb3kl3YVwv6ewKJlPZcnJ/ULAQAnoLQ3I5NDSrQRb9Sak7RnctVucZUrjMitn/QhTqkgaNvGsXH

CUc26DWTbcHgtT7cykDGloZj6TtGswIg0D7eJS7aomUAFpKJ/+0UwPjuOurTF7aKd+L0Kn8KSSMw3KC2dKS+PauvUM/aVsXMM8PfmyyC5QVUOV/

IRAfSZQMWloFkGHht/mmm1nzctUmoVQnmWtnzO2pLD7s33Ms+xRZCG0ktKwPMO8BTGYe3sw/5nGXDsTwZxNqUSVE54UaziZadTnfix1e4wEKiw

NuMa2j3bin6uVBpCbwu7QCIJ/zdFsuboQ4OuMg+pnWKtmTSMnNoI5oQn8oNqe7cwky8tMyXbh0nQnsh72RqhI4zF2K3lUfSaggzTqc/WlbkJACOhLQ

KShLzFJLwQMnIBIw8A7gFRfCOhLQKShLzFJLwQMnIBIw8A7gFRfCOhLQKShLzFJLwQMnICcRm7gHUCqLwT0JSDS0JeYpBcCBk5ApGHgHUCqL

wT0JSDS0JeYpBcCBk6gXkkjdfcmHCMdiH3vedXvv8slBIRA1RPQQRrXCXs3jADTrkQscCs2GGvbIC1VnpSfeCkwlp3FuP0/9vzTk55Vz1JyFAIGQUBn

afilwrhxXqz1ePBzjbVeGr8dxvPTO7wb9DydC5vTGGvrhgbRuFJJIVAdBHSWxld5lly8YcaqjybwgnJAqHKsRslwIDeZA2sOE3DqFhcxZlx3VwL9nWmtSh

3H8r+dxHpcU3aEX8XC04sNLrG8FJiBl08+mzancTAPBnXpzlLfZhz4JIIPU/PBpDFvTx/Ly101A/36eUJCovj8aj6JJsa86ObOJxM7qo7/K1WemHBswppK

uFIdPUfyNFgCOksjzG040y7swu9Od47P66U6WLj4IL3DkU838F5ud0Jn9qI1yYQt2U6AdR9iZjpjoZJGBJ+3asM3k93o3KIJ1jfU4YP5oKEs9WqF+Y1oA

gLPcsDEmrdnjsCnvTEXwrcy+sdmfLd8GM4k8tXsXRzpP4pVXi2xyDzP8sAjZE70JbCneSlpqMr3I4zLvMWWPOhk14qVM0fQU37b2mA7vFS88gT0kIY

XG/r/QcCcKPB9iWC3hsUHqWr9IJkXP5rASM1MhMzjzHjrEi8E+eDVQpFGFLZvT8anvabgqnsymFVkjeHE6i8YRj/S/Z3UiVRpEvFS5XGXzMx8zK0bFh

4srKSfZDqIX6d2LC2NE3tYcaIhL3q70Job7AjZy2vZnYkJHqCZ/VQeoOQgBAyNgH7S8HiSzIhv6bXJnNBlY+n0Y5HdCiUU2NiEmI+LDsgEQmbv5e7kV5

ntog5PWqsG/6Ok4U66v+Y08mLSAIqGJ9rW6q5O/8g1FpXEYulbVFyG1uJSXyFQSQJ6SwMyOLBkM0FW/QhtH0Nv7RZnmdKIZ/nfDsL0KpJGsziWvx

nBmf7DWeXpoDpYWD0z0VEamhBJXZ5KkpPbhYCBEqiANJSQIZIpgbHctTNmJx3UC406hSeVnGlQXjhTljQS2fTuAe56T+blrprWzT1DwGsn6SozDQ

Pt7lLtqiBQMWloFkHdt9wizc5RszuhWQjFlW+mu2BHMjs+2cXrDV2LLIRWUhqWMcx96yQWPqN4t2cT0mIOMGP9HxwtJzw5s24df07swN55z9Oamxx

Z8x9GX20raxpV0XMkD4MlUGFpQCph72/DL1crDeVg4WR2hBzgvXPZmi3XHgROdaG16mDhqlnTyDl7gBkhl1S7IYO6OPKy5SUmZfcgeaYzmaXeCM

3gxLqdvBalbAHDc6068MnMF3DWLtQabLNLxYVAxQnoII2KZy53CgEhUP8IiDTqX5tKjYRAtRIQaVQrXslcCNQ/AiKN+temUiMhUK0ERBrVilcyFwL1j4

BIo/61qdRICFQrATmNvFrxSuZCoP4REGnUvzaVGgmBaiUg0qhWvJK5EKh/BEQa9a9NpUZCoFoJ1CtppO3/nmeO2/PLO32wrVZskrkQMFwCOkgjn

W2Lwgk0dWTvW67FBmNtG6Rllic3ncjNESz9bxZRNp1FKIbb16XmVURAZ2n4p8FoT09CBtsUPrrWSyP3MmuCjhDl6EKAR0daNbMsPPGrivhJNkLA4

AjoLI1v8iyITzdj2fvjGGil5lRKGrkpHFp/hMAzt7mEEaOdexDg54SDKnU8K2fFYOVpzZ5dyZgP9+RL5zheCc5kjHc+m8OuczgPBjzdlSUTbTj02RGWphW

ASSPm+o3kr46W6ofeiGPN2mhCkwq4amLEn137sWRCO5UMSpYnMexb/LP7ED5RfbSxXEJACFSegM7S2NZrMH4X9+Of3ZWIuT1UBwsXH6TZRIZ

sZnFeV1ZP64EDKWxbtofAJj05Nt0JC5U0jhJq78BaH1c62jXGOj2KV4IvYO4+kCWe9pinn2RhcCyHTKx4fdoQvNsaE79rB+Mjbdi4ZBBdSOLrefuJchvG

stEtsMiKY2XwMbK8XyTgWbMS5bnGtqB9nHu6OYnRyfyQBx1s2xIyx50u8gsGle85koPBEtBDGp586ZZC4PwT4ONNUC/L4oM0VRFACt7vj8NDMxMh

6ySzF1xmYMB4xtgp0ojGdo4P3m01vFX3ZDJjhQc9NH86Gbqe0fQmyU9zRqgqTRJjVHncIzMrH3OrB2GGkn6KSX9iJrcrIQ2tpDqwcVofulimcyh0N3Oy

nQqlZ7CtLhUXApUgoJ80BtuQeXQL7pvNWL14JB0ji+xWnN6N/ebGHPugnyYcUUp1hTXzDnHXx5fXuqnDEwfV4H+UNPqS5NdRnaiYNEqEJ9qKO6vT

F5v53Ihm+nvxDCwqqYQjjF92jRlFQqxKsJNbhYBBEtBbGpDJoaVbCbbqTUjbM7hrtzjLlMZlVs76EaZUkTRs4lm54Cjn3AazbLi96mBh9cykDGnknifwjfM

8W1RSmnWVYuIyyGaXSguBihOogDSUT/9opgfHcdfWmD20U29j6hSeVHKmQXnhTBnS0Mxyro57kaBeZkVmLSlMkplGxXuM3GnwBComDc0i6NDw

21yz1b77oFkI5VnW+jljSwq7P9vHPMseRRZCKykNyzPMWxCDubcH859pzLUzEczZlEpUWeGJtoz7LVn2pgcDrTRrGmjLY/BtLwCEQIUIVFgacI1tH+3

EP7fIC1O5KewOjSD41xzNlqsLAb7OOKgOFq6aNY2c2AjmhCaodkMGPN2ZSZaXmZLtwqXpTmSVeiM0m/j9Bwncpd3O7UyQbx86yu5JhTqL3CQEFA

I6SENACQEhIAQeEBBpSG8QAkJALwIiDb1wSWIhIAREGtIHhIAQ0IuASEMvXJJYCAgBkYb0ASEgBPQiIKeR64VLEgsBISDSkD4gBISAXgREGnrhks

RCQAiINKQPCAEhoBeBeiWN1N2bcIx0IPa959F++14vGpJYCAiBRxLQQRrXCXs3jADTrkQscCs2GGvbIC1aHhSBbLlVJoB3/+9VZnd9JBtJIASEQBkE

dJaGXyqMG+fFWo8nC7OpzdIoc6Zxdg/9N5mzIXgAcmqojAchUDECOkvjqzxLLt4wY9VHE3hBOSBUOVajZDiQm8yBNYcJOHWLixgzrrsrgf7OmgEax/

K/ncR6XFN2hF/FwtOLDS6xvBSYgZdPPps2p3EwDwZ16c5S32Yc+CSCD1PzwaQxb08fy8tdNV9NvX6ekJAoPr+aT6KJMS+6ufPJxI6qg4UfLrEMDizZ

TFhPb1a90LRitOQuISAEyv+Wq729vQaPOjwJcxvOtAu78LvTnePzeqkOFi4+SO9w5NMNvJfbndCZvWhNMmFLthNg3YeYmc5YoEgjgs9bteGbyW50b

tEE6xs/8VJgLOaDhrLUqxXmN6IJCDzLARNr3p45Ap/2xlwI38roH5vx3fJhOJPIV7N3caT/KFZ5tcQi8zzLA4+QOdGXwJ7mD5dG4mHGf5DB7JVj6af6qr

5cQkAIVISAzjONMDcvNvT/g4A5UeD7EsFuDYsP0hRFAMm8+NEERmpmImQeZ8Zbl3ghyAevFoo0orB9ezI+7TVFVd2Twax/etJT86cTq79gGP1I93dS

/0WVJhEvVR53yczMx9y6YeHvlyjpJ5kO4tepHR8ijbsc+XQ9y+1G8f2ElhXhJPcIASGgIaCfNDyeJDPiW3ptMid02Vg6/VhktyImHJuNTYj5uOh6QQIhs/dy

d/KrzHZRhyetVYP/UdJwJ91fcxp5MWkARcMTbTN2V6cvNzxRySuBEUWFJl1ACAiBChHQWxqgXhsIsupHaPsYemu3OMuURjzL/3YQpleRNJrFsfzNC

M70H84qTwfVwcLqmcnDpXFm3Tr+nNVDEyZViJPcJASEQEVnGuqQIZIpgbHctTNmJx3U70XoFJ5UcqZBeeHMQ6SRe4ag12Lo9PdJ+Kh/6k0uISAE

KkGgAjMN9dOUUMB9yy3S7Bw1L1NpFkJx5ZvpLtiRzI5PdvF6Q9ciC6GVlIZlDHPfOomFzyje7dmEtJgDzFj/B0cfEp6oQpYTHbi8QL14K5cQEAKVI1Bh

aUAqYe9vwy9XKw0gN5kdIQd471y2Zsu1B4FTXWit2q2omjWNnLMHmBFyiS2q7VlHXra8xKTsHiTPdCaz1Buh8YTMPkiaZnelcqjkbiEgBBQCOkhDQA

kBISAEHhAQaUhvEAJCQC8CIg29cEliISAERBrSB4SAENCLgEhDL1ySWAgIAZGG9AEhIAT0IiCnkeuFSxILASEg0pA+IASEgF4ERBp64ZLEQkAIiDS

kDwgBIaAXgXoljbT93/PMcXt+eacPtnphkMRCQAjoSkAHaaSzbVE4gaaO7H3LtdhgrG2DtFR5si7z9edHWJVUwFWMGPB0R4J8+9BRc3KgrpAknRAQ

Ag8I6CwN/zQY7elJyGCbwrtrtzQy2f3RVlbZ9GaD71NYk8K2ZXtYad+ffRPbSR8QAkKgggR0lsY3eRbEp5ux7P1xDLRSP62UNHJTOLT+CIFnbnMJI0Y

79yDAzwn1MRbxrJwVg5WnNXt2JWM+3JMvneN4JTiTMd75bA67zuE8GPB0V5ZMtOHQZ0dYmlYAJo2Y6zeSvzpaqh96I441a6MJVWYPJkb82bUfSy

a0Ux3/V7w8yvOOwhRfXuumvjXn+A902N9cwpcKdha5TQgoBHSWxrZeg/G7uB//7K5EzO2hOpui+CDNJjJkM4vzurJ6Wg8cNJ/sgU16cmy6ExYqaRwl1

N6BtT6udLRrjHV6FK8EX8DcfSBLPO0xTz/JwuBYDplY8fq0IXi3NSZ+1w7GR9qwcckgupDE1/P2E+U2jGWjW2CRFcfK4GNkeb9IwLNmJcpzj8iQf7HYt

PhMI9R+IOET5QcMpPsLgYoS0EMannzplkLg/BPg401QL8vigzRVEUAK3u+Pw0MzEyHrJLMXXGZgwHjG2CnSiMZ2jg/ebTXFVd2TyYwVHvTQ/Olk6

HpG05skP80Zoao0SYxR5XGPzKx8zK0sCw8WVtJPMelPzOR2Zcx8rrAm6BALb6oz79CmK9/P7SGLpBXtLXKfENBvpuHJl4NtyDy6BffNZqxePJKOkU

V2K07vxn5zY4590E8Tjih8r7Bm3iHu+ighgjo8cVAN/kdJoy9Jfh3ViYpJo0R4om1CZ3X64jOfTA4t3cpSK5lpSE8XAlVJQL+ZhmoRVD0Yg616E9L2DO7a

Lc4ypXGZlbN+1KwrVIE0bOJZueAo59wGs2y4vepgYfXMpAxp3Ihm+ntJqpmPdg2GhCOMX3aL+UVmNlUJU/ISAoZAoALSUD79o5keHMddW2P20E6

9sKhTeFLJmQblhTNlSENVnnT8/jESN+2PI6mkkcncon8zhFaWOgqBKiRQMWloFkGHht/mmm1nzW6EZiGUZ1nr54wtKez+bB/zLHsUWQitpDQszzBv

QQzm3h7Mf6Yx185EMGdTKlFlhicpbA7aw+6nB7LMqzXWXONQ6D7mZD9VuJBbhRwlKyFgMAQqLA24xraPduKfq5WGcrBwCrtDIwj+NUez5epCgK8

zDqpP+ioIT+wgJzaCOaEJ/KDanu3MJMvLTMl24dJ0J7JKvhEqL3cZTEeWij4+AjpI4/EVRp4kBIRA7Scg0qj9bSQlFAK1ioBIo1Y1hxRGCNR+AiKN2t9G

UkIhUKsIiDRqVXNIYYRA7Scg0qj9bSQlFAK1ioCcRl6rmkMKIwRqPwGRRu1vIymhEKhVBEQatao5pDBCoPYTEGnU/jaSEgqBWkWgXkkjdfcmHCMdi

H3vebTfvq9VtKUwQqAeENBBGtcJezeMANOuRCxwKzYYa9sgLVWeO/F89UkEy6/mk2hiyTSvFwh+oWU9aDapghCoOQI6S8MvFcaN82Ktx5OFpa3d

0rjOjvfDWNGsH99NdcI85SdmfHAB5+kvMdvFvOaIy5OFQB0noLM0vsqz5OINM1Z9NIEXlANClWM1SoYDuckcWHOYgFO3uIgx47q7EujvjPpEzjiW/+0
k1uOasiP8KhaeXmxwieWlwAy8fPLZtDmNg3kwqEt3lvo248AnEXyYmg8mjXl7+lhe7qr53YHr5wkJieJz1ezBmBfd3PlkYkfV8X/FypPyEy8F3mDayrH005

ynceXbdbhcduTyvF6qM07lEgJCQH8COksjzG040y7swu9Od45rBl1xadzhyKcbeC+3O6Eze9GaZMKWbCfAug8xM52xUEkjgs9bteGbyW50btEE6xvKw

I7FfNBQlnq1wvxGNAGBZzlgYs3bM0fg096YC+FbGf1jM75bPgxnEvlq9i6O9B/FKq+WWGSeZ3ngETIn+hLY07y4NGLCsQmBPf/0pKeWi/K3dWZEqPK

SSwgIgYoQ0EMaXmzo/wcBc6LA9yWC3RqW8cmezIsfTWCk9mM88zgz3rrEC0E+eLVQpBGF7duT8WmvKapqNpDBrCID+8TqLxhGP9L9ndSJVGkS

8VLlcZfMzHzMrRsWHiyspJ9kOohfp3YsXp7fDuP5YQZvF5lpcCIcm9ASIqkINblHCBgwAf2k4fEkmRHf0muTOaHLxtLpxyK7Fcqn+MYmxHw8QBOOKF

QTCJm9l7uTX2W2izo8aa0a/I+Shjvp/prTyItJAyganmgbrrs6ffGZTzKbArazrpVmTeNGDB8uiWaFaecSZTTg1peqC4EKENBbGpDBgSWbCbLqR2j7GH

prtzjLlEY8y/92EKZXkTSaxbH8zQjO9B/OKk8H1cHC6plJWdJQBHOG5R9G8V4WdLJrRbBLNn++0ErWNCrQUeQWIaAlUAFpKCFDJFMCY7lrZ8xOO

qjfi1DNCB4VnlRypkF54Uw50ijWzuo1l3918WbVC02lBwgBIVBBAhWThmanwn3LLdLsHDUvU2kWQnHlm+ku2JHMjk928XpD1yILoZWUhmUMc986iY

XPKN7t2YS0mAPMWP8HR8sMT7RE8si5/gdHtxxm7oWWbPj4BVkErWBnkduEgEKgwtKAVMLe34ZfrlYaysHCyewIOcB757I1W649CJzqQmvVlmfVr

GnknD3AjJBLbFFtzzrysuUlJmX3IHmmM5ml3gjV7NiYWDLCrQdvezthp/05A2l/ISAEKkRAB2lUKF+5SQgIgXpKQKRRTxtWqiUEqouASKO6yEq+QqCe

EhBp1NOGlWoJgeoiINKoLrKSrxCopwREGvW0YaVaQqC6CMhp5NVFVvIVAvWUgEijnjasVEsIVBcBkUZ1kZV8hUA9JSDSqKcNK9USAtVFoF5JI23/9

zxz3J5f3umDbXURk3yFgIET0EEa6WxbFE6gqSN733ItNhhr2yAtVZ7cTOLj4/nv4Stsjm/M/E+Gw9UT3AAAE5lJREFU0KNog9+IY83n0axKK+CaiRF/du

3HkgntCg/4MfC+IdUXAmUS0Fka/mkw2tOTkME2hRnVbmmoZbfZsiXedrfwj7bkhxUeRaSRwuagPex+eiDLJrTGOiuOlcHHuOr5J5b0bSzdRQgIgXII6Cy

Nb/IsiE83Y9n74xhopc6t9Cd7CofWHyHwzG0uYcRo5x4E+DnhoEodz8pZMVh5WrNnVzLmwz350jmOV4IzGeOdz+aw6xzOgwFPd2XJRBsOfXaEpWk

FYNKIuX4j+aujpfqhyuxgbTShSQVcLTE7KFdip3djv5bi0kg4wvhlmcz9x0jcNN98TfzhW3onOXNpupPMNmTICIHKSmNbr8H4XdyPf3ZXIub2UJ3mXXy

QZhMZspnFeV1ZPa0HDqSwbdkeApv05JhqECrSOEqovQNrfVzpaNcY6/QoXgm+gLn7QJZ42mOefpKFwbEcMrHi9WlD8G5rTPyuHYyPtGHjkkF0IYm

v5+0nym0Yy0a3wEIzO8jyfpGAZ81KS0xb6bKkofxtizXHAvtopAb8dzf2u6xlTUSGixB4CAGdZxrbennypVsKgfNPgI83Qb0siw/SVEUAKXi/Pw4PzUyErJP

MXnCZgQHjGWOnSCMa2zk+eLfVlEh1TyYzioQNJ0PXM5reJPlpzghVpUlijCqPe2Rm5WNuZVk4E1DSTzHpT8zkdvpLI7yEIBSRlPybdB8hIASKEdBP

GoNtyDy6BffNZqxePJKOkUV2K5QBt7kxxz7o9+CTmyusmXeIuz6+vNZNHZ44qAb/o6TRlyS/jupExaRRIjzRVsVZnV6v8KQsQYg0ZHgIgUcS0FsakMm

hpVsJtupNSNszuGu3OMuUxmVWzvoRplSRNGziWbngKOfcBrNsuL3qYGH1zKSC0pDw5JEdRBIIgZIEKiAN5dM/munBcdy1NWYP7dRrADqFJ5Wca

VBeOFMBachCqIwGIVAhAhWThmYRdGj4ba7ZdtYsHGoWQnmWtX7O2JLC7s/2Mc+yR5GF0EpKw/IM8xbEYO7twfxnGnPtTARzNqUSVZHwhBJbrjf

OEPzxf0GzqFohmnKTEDAAAhWWBlxj20c78c/VSkM5WDiF3aERBP+ao9lydSHA1xkH1ZZm1axp5MRGMCc0gR9U27OdmWR5mSnZLqpt0qzy3ggta

/dEKVKxl7ss8Bvej/mD7WW71QA6vlSx4gR0kEbFM5c7hYAQqH8ERBr1r02lRkKgWgmINKoVr2QuBOofAZFG/WtTqZEQqFYCIo1qxSuZC4H6R0CkU

f/aVGokBKqVgJxGXq14JXMhUP8IiDTqX5tKjYRAtRIQaVQrXslcCNQ/AiKN+temUiMhUK0EqlAad7hyNhHaP0Xrho8u84nVX7CivRcbPJ58dGJJIQSEQ

K0hoIM0rhP2bhhhbqUHeOruTThGOhD73vPYEU/IjINc9H6Rpe5NHllBkcYjEUkCIVArCVShNPSrn0hDP16SWgjUFgJVKI04lv8tAqa/ymwXdfWuRGxl7u

Y0DuYZM65PZ577LZajmhmLShot+vHi1ZMEnMvmrklj3p4+lpe76hDb1BZ6Ug4hYIAEqk8acXsYujSNcdM9ebmLGWkn9uK3Pg3bceowR5HGsFONWT

nXE5/2xlwI30rvH5sRsXwYzgbYEFJlIVBXCOgsDb/Ucqpk56hZ0yg+01CkMAl3fvXXHBBM8bUR5d/fazaK8Akt1Rmn/MRLgYm8uMiHkbI2Wlf6j5TTAAn

oLI1HL4QWlUZZi6elpVFs90QjDa8gH7xaGGBLSJWFQB0hINKoIw0lxRQCtYVANUkDzqz5ghmmg/hxsuanCMoIT2SmUVu6gZRDCOhOoNqkgWoh9A

aT547Aq33ZC6EiDd0bSlIKgdpCoPqkUdaW64VYjvZ/sHsi0qgt3UDKIQR0J6CDNHTP7OEpk9n05nbSJj54j6OqcpZ8hIAQeHwEqk8aZ3fiuaUhwTP74W

ydz5Ww/zD0xyZ887EnPTW/0v74qilPEgJCoKoIVJ80uMOF3XsJCFfeCIVOzWx5d/ooRjqYVFXZJR8hIARqgEA1SqMGaiOPFAJCoNoJiDSqHbE8QAjU

LwIijfrVnlIbIVDtBOQ08mpHLA8QAvWLgEijfrWn1EYIVDsBkUa1I5YHCIH6RUCkUb/aU2ojBKqdgEij2hHLA4RA/SKggzTiWTkrBoeA8YyxK1L51CheCU

5iTMm/PxY+6WxbFM62Xp58OdjmsTxRHiIEhICagEhDeoIQEAJ6EagiaahnI1ae1uzZlYz5cM0MIPUkgZ+dJfQmdLBtyettM/FPsOeXd/pgC+TEHmHhxkt

8cxNaNXmSoGkeeLQyBtT52fq241yY9v62hMxxp8tNZYZzgT3aatp2LsxPr5pLYiEgBCpEoAqlcZRQewfW+rjS0a4x1qZXWDPvEIed+7LauzXmqXEsXflf

VjXRDHJtePPmaMa0grSj+5gYbsyS9z3oYapIQ8mvAxun9aGLSQqbl+1nTduB7JvYGpDwpEKtLTcJgSogUIXSiMZ2jg/ebTWlOr0bl7WwdoUHPTR/Stv/

Pc8cV880EkPXs9hmGN8XHgiawua/7yFtoi+vOSrSKJ6f6t7/tuaXt1yxFWlUQdNLFkKgYgSqUBrFF0uLCkIJRZTrwd+eImpROP5ppQs9f4ovr3UrvfhaPD

+ZaVSsueUuIVB5AjUqjagBf2JJ38Zl1EKkUfmmlRyEQPUQ0EEal1k560eu+bxIUC+zB6WIPciQz7MJ+sdI3FRrECW2ZWP34bLemI1LBtGl1EyjB/Eh/8Kf

nhyb7oRFqbqJNKqnuSVXIVB5AjpIA85t3MTQM9ZseG0QfVqZwdV4QtceY0+b/nw3uR0Wmt2O4u9yqBdC/+s6kCWeLUovhF48iOfKFPr4eBDQy4ac1

DMs/SyeZ+eMw6PZo6QBJ0PXM8+kP+ET7bEwLSKzyjORHISAEHgIAZ2kAbeI3x9B4K7rHM6D5iYWePR1Zb5XO6xVmZf3AliJLVf7dPyTWhdukWbG

RhC4PoHvspU8GzFj4hCmPqvk+Ghp5FyMwP/zBPbktWTviiGFsxlpbSEgBKqXgI7SqJpCJIZtone6K0l+2t9CqZp8JRchIAQeH4Hqk0buZdYEncTa1wPv

To3JuRrFnI/j6TJlAq91k3Di8TWxPEkIVC2B6pOG8sZnQhSL18ezLb0ATCwY4+lO0AD5odaqbULJTQg8XgLVKo3HWxV5mhAQAo+DgEjjcVCWZwiBe

kRApFGPGlOqIgQeBwE5jfxxUJZnCIF6RECkUY8aU6oiBB4HAZHG46AszxAC9YiASKMeNaZURQg8DgL1Qhqpuzfh+FsP0v2fAjK4cCIDu55tNa+4Pw

6M8gwhYDgEdJDGdcLeDSPMzYsNHk/WSjLFpHH9ODPeieW5tyfzcvtHFbf21+1RNZB/FwKPm0D9k4ZeBEUaeuGSxELgYaeR29vbawCVGFgpP/FS

YAZePvls2pzGwTwY1KU7S32bceCTCD5MzQeTxrw9fSwvd20IxLH8byex9rbjSNgltuRBJ7sOhL7elbT1e5l7LptEE0umeQ8l2P3BbyRciQwnaOMfRdK/g

LP6K7WQcpyAT07xeZaSVyvedriBX66rOjxRlS8RryAfVCcJXj9PSEgUn1/NJ9HEmBfd3PlkYkcsVOli2antBnaOxL73PEoJHvps6TZCwMAJ6D/T0Aw280

FDWerVCvMb0QQEnuWAiTVvzxyBT3tjLoRvZfSPzfhu+TCcVdKIYGcXV0L9utI69xIhH0bweaYlXhOH8nbPptyN2cufQ+/w9kcTeMEack6EM3QjBAcNp

1/DbM5sDsc9zkEzqBMImb2Xn/tonp9ylg8/iWZFZ/cypJHIV7N3caT/KFZ5tcQi8zzLA4+QOdGXwJ7milFKhV4Pf7aB9xapvhCozExj1j896alBeGL1FwyjH+

n+TpqZQNFPe0Ua0bQOmqT+5Fc+ycO+weXntsQEP49ytrh6NhIB019ltot6IP/s4UuwmzKwgdwzBLx2hr6LfBh5NZyn15lphFQkv5SyZhp3yczMx9y6Ye

HpYEpZJ5kO4tepytfzS0rjEc+unUs60pGFwGMlUMGZRgalpaH5pFeFDyWlcZLW2nABUC1cRmpnDiWloRbIe6UwNCY0yIe+MZtwjOnA5Xm9CndHii2

EPiw80ebZXVvWktJ4+LMLD05/rE0kDxMCtYtALZXGEcznTmG6soNa4lIJQldpNItj+ZsRnOk/nFWeDliYgnpW9DBplP/s2tV0UhohUDMEaqE0ktkUsJ2w

7qP4fkLL0lRi9AhPUC/alj8rKjnTeMSza6aN5KlCoFYRqIXSgMyIb+m1KZ9353ri85QlmXFHmBt6l9nBw3A2LbEQmniSgE9Psa6shVDLGOa+dRILn1G82

7MJaTEHmLH+D44WhifqmcfrpoPYO1mZiZg/4tm1qu2kMEKgRgjUSmlAHlcObGdumHpL18HKlsDpQ/Fqr2zh6rflmnP2ADNC1Fu9g7o48rLlJSZl9yB5p

rNqcTQn7gB+n15iZ14rIv45AudHPbtGmkkeKgRqDwEdpFF7CislEQJCoOYJiDRqvg2kBEKgThEQadSp5pLCCoGaJyDSqPk2kBIIgTpFQKRRp5pLCis

Eap6ASKPm20BKIATqFAE5jbxONZcUVgjUPAGRRs23gZRACNQpAiKNOtVcUlghUPMERBo13wZSAiFQpwiINOpUc0lhhUDNE9BBGulsWxSOf1rRw

hox4OmOBE3sQ0ermq+ElEAICIHHR0BnaWzr5cmXg21UJcu5c42o9ft4Ka01xwL74fD4yitPEgJCoIYJVEgaqjLnnifwjZO0em0SUztBTkIUi9fHsy29AEw

sGOM1iKC+zdXVuxHHmrXRhCYVcBXNLMW3Dx0bQtr+73km/HYRDI1YHTCeVuHr+f/tnW9IVXcYxz9smsnMuw1R4bpm2B+aEzYHNi1II9Mt7rVFGd

GLoN29GCijFwN3tzZko2KNZCwzWAWt2uCuFSqN65tWMXMNdoPExuqGkQaZm6BTjNQY55x7zT/X8izDE3zvq8u9zzm/53x+z+97nuf5Xc6tnfcqheEr

7L1jnDMZf2Up5ZmJo7YdF4PsDHTRMAxZqZnUVa4kO5r5GGMe+J3aO/fpjpuL760VfLTaTdvBI3hbJ1Mv8Xg4nPMX23beosy/gTLzGceDXKgLsLFnMZ

c+zid1lidLw4uAEwjMjGiktVK1o5WMrV4qcpOgs4X399yk6MNNlGdY5U39wiJq1s/HxW0CXzYRWFrCifXplmhcdE9alH8YizucwrGKVRSljdDWGGTLuU

T2f7WWgni4GwriCUC1v5iCxEHaTgZZE46cZ6idfTvO01ZQQo03nbn/tLJzTwjKN+PPnWNxvxzEfQgavi7ljehMdLWMF41rZ/Ds6yCUKtFwQrDKB2cQ+H

+iMdRvLdJLSTR8biy6QXoHwZUczQIsoQguW0fd6uj/DkQueKif4IGfOOou4fgjRKM29W0OeyPZCu18W3Weznc2U72s3zx/aLXxPiICZuZzhfxPN1AYPk

1Wo4vfvnhQOvVe/pXAvwt5b3nk6caPFI3bBKqbqCees3ELlGk4I17lhQMITFs0xjdCIevFFPzvllKa8ax5Gb3XWtj7vVWedEcuzEz5I30Q687eZX6T9fJSjlf
8NPGZ1v/j1m/9IMBpyi58EUoAAFJIFpHQz827/9GzZu3Ii77xY/sGP/9dVXX6Gmpgb/+I//6OhQoL8Z+16sRldwCJILy5Aob/ctvaZPMGBezUkeWDtWdeG

ISS6zo2DAhRJPy1M8ORhwN6hS15JTi/CA/ztu3T2o9/0P8NK7/8+0mxGQifvRvO9FNMQdRuGqUPS3VWBHRT827lZjRUQQdGf3Iat6NtRH1Iiz8STB3

/89+Ps3ON1ixsHARBcPMxhwmp8nUIACFJjewUB+fj72798/7mbMzs6GOMfRq/fsXuy4mIiMkApUhRbiYNJYNGARDOiaodlXjdbLA0BwOOI2ZkK9Yux4

bXMFKqpb0CXejlYhXZ2OOGvpOdLAtAsJuSFoKBepPEC4Kg071UsN6Uj97XXQVNXi4uUhBIYvQnK6Gkkxs+UApbrLUK3oFDFNrkOV/LgXqWHi2tUw

HBGdggPrepC1f8Doj7uYDdmMipAC/GxTjAmR9Ac2OA0LO2rQIFcECdnZWKWrxr7KFlweCrQsa2cdNBX6sqqQkikGFdbk+9HdWA3NqVbIhHFI2anG

UslIDgaC0xaio0Y2CY5OQHb2eow9oNSiuaIC1S1dGEAwolXpUKfHKWaWwYS+/fYsP4dCCzOzhjEPFuy2tQ7Nmn2obr0slSM8biMy1Ssgqizds2ed0SB

RlEtpGyWTRNdaAU2Fvp8kICN7PWKN0rvKyxvGntCqM7Be/6aetPM4XigaQsarSmqPFNCeQmzpQcjdV4u67Vno2XQM6shzhlmkiLoNKGoaa5d4Q3+

x3xdNWrK3Dcc1FWjquIGhwBAsTMhAxvoYWD5DttKei9YhV52IKOlg5f2UaLTWNGD2xgMoXNxmNuPluL2DbZyvr+uDD/4F3/ven3H/iqcReultdN77FJ6

KmStXqe9jvP3rK4h9ZgWizHcAHdLh4//vT/jwqz6M+M/F3Q8/jr95aB4Che7vTuP//vd7MTQUIF1GcjTPEtLWYfseLRLXDaGxpgWXEY6E7EJsMrRlL9qOl

0PTpPTleDUyNi2WZyYHW6HZXI+QdcForb2AiLQj2BnVJF8vuRd1py7iBhZgSdpupEe0oVpTg5bLlt8hJk/7w1VIM3zW5JnDoYxXkRrbi8Y9W9ESfxi7Vy

hTHP3NKHuxAYttpOxd+cO/4qMrp9A7MoLAeffi8b95HBEi60f0f5EGFPh9zNO+j67A7+Hpv7sfyltj7899Evdfb8PPG4LQ/l9/I32/yLMQVj4rzRr5e0d83uPX

IbqrGl3L5dQg6bsqIhvxXcdRLQCU76qxGQ0dWis0qNB/XyRkIHt9rNRXpc9plwopvbWouahCtkekyTn6a8X3KUABCkxcYFrPDExOMKBFfWYOtKmvIjW

0Hpl7dEj/2Sboh8emwUA3Tr6ch44kOfUG2noU5dQiOvdnEOPp/lYNtlYNIkV6uibeLkLOqTCoD6sRZz5Skgae1dCptqEwbSlCBlpRnVWO3pQj2OAR/+4

AACAASURBVCnSfLR1yMxpweLsbGyKDUVvWxVy9rcjsbRMHuxZPOU2/yNqPjBuR9Xz+4Fs8cdfGYg9X45ApezGXUv8gS1qVWHb7jQsjRhA+/G9K

Gq6ivC4NOyUytqGmpz90G1Uyqqrx56sFqhKcqVZFV1zJXKqg5FxOBWxZk8V+5vLsLUmFBklqVJqhbZ+D3IaVSgpS0SEMhA4F70OuRlJiAnuRn1RHk

6FqXFEHYcg9KNVsxVVgynYLQ28tagvypHeP6yOw2wraw5M2s/RzIDJ+/bbuvvky8jrSEJJrii3XI7a6FwpsHIUDMhPYQOhlgx60XmyHHkdyroUMQjbWo

PQjBKkLta3uxbrDu+Gfpwmt5VozwqElciD/8FWDTaXt0AODMOU2a5zWH5kJ5YOmKWUWZ0ZsNMXTb53TF2C+ttQlVWOgdQjUFs8Qpb7ZKtqG3anL

UXEQCfqyotQa2hP+f1z0WuQnZ6EyAWzMfuGcVnH0972zgf8Pt2P//dSK1b86PtSwDjw2W/wdneUYYAq/fuL+/HMiiizXwPow8e//k98cfcyPPm9MNz17R

X86T9/B92DT+Gph6Jx+/YG6BqLzYI+0y9ouU3asSQtG+oVUbjRuBc7TkWiQPp+6Ud7VRb2a5NRkr3K0IcaVSUok75b6rA9qxZYnoKM5DhEhM0GlOu

pthUibWkIrtYXIetUD8IXpciB6EArKrI0CJQG+MBgexW2lg8gpSQNS8OCpM9aVlsCjuxcitlS8NiAuMOFWGUlxUk+NxDZRt+F+tqJ77kTH7Yi8bkYRM0F

+jrP4j8vzcbfrHkCEYFyMHC2ex4eWvY4vhsajMBAOWDSv/TvP7pyKWJC4/HZ/2nErtpoxcXse6zzOF7Oa4MqdzfWRQfjamsl9h5qQZjSz6XvqnPRWJeb

gaSYYHTXFxldqx9tFTtQEahGSepihPZ24mR5HjqUQEJ+qKKDKi0b6+IiEDZ7eiRTTnwYwCtQgAK+LsBgwLwHaI0DgF6c3bsDFxPHBjamwYD4Q1WB

4OKDSk75IHTtHdCFLURs2A007tlh+nQN4npb0aSyssBNGnh2IOnY2DS8+MO2H7lSDm971fMoD5QHl/qXSY6v08EAYHK+eLIsYgMrf+xFOWoiDqAk

UXlyrqtHjrQ+oQT6/yT9EUau9PRblLUirMRoRkU8lc6BLl0feBihD/ajH7Nh+Lurr4c0KBG+NYgwuo88KGrHOsOgtgXxxgNjkSO+tQkq6Qmm7ZkBaQG4U

8GAvbYOkp5IVgQX46CyuGBQ144OXRgWxobhht2ZAZ3UTzqSjo0NnqWnwHVYKAyGRL9oQ8KRTEhLPyAWxIqF4YsRZTJok2d26hbKaR6iDZqwHG

26hTggBnvtVXj+VCRKrdXbajBguy+aDXHR3z+EwNmzDetQjPut6bFW2lP0u7wbSJf6vWwcZpjNMAtyISwctbed88O+xYxrL+D187cMwQC+7cbZtz7Dv

U//He4P/hbdZ99CT+QzWGE+LaD7E37V7I+VP/we5ukrdf19vPIf87D0xX/Fd3GXlaDPtPbauu3I0qbiRPpi+Q3jtRnieyenC+uNHxS0VWBDVQRKDyZhgR

j4H4+U/r9+gs369Yx95L51ThnswvyzJtr9VKS8GYL5zJJx0aUArwJQlyLVfEYKOjTlb0dQaiz+5/8Y+2E14fjZvfKiYDHY/+Psp/D0Q8rsi9l3rvH70k5CX30pz

wYZvgPGZtFEv96PbMO6BsC0jtLnMKx07LvH+PtE+iyZ9mspQKtbKC2aHhKf044kHJMeNPBFAQpQwHcEGAyYtbUYIFeEFcpP48TQS0kZkp9Em68Z

GERnXR6KanWIjIvH8uUqxBl2nrEysBHLeI+/gLyhDMu8YiuLNscG2GGWA0aR5avs/mF9YOtoZkAqjCEAwPEXpD+y5ilCwsAiD9fKINq8rEYZOAZhq6k

TME4TGlKOjVZ2O7K2ZqANFRtqES0G+7oqbKgIMxkgyQul8zCUIdI03BkM2GtrYLCzDnlFtdBFxiF++XKo4sYG6/ZnBuR2MsrUMTPQoblsLyovBmKha

gVU8SqoYsKsDlak/nBhFY6pQ3DqhVpElyahY0cTFh9RI6JhO/ZhpzxIMm+/cawZMA72LL4edW04XqGkCenfjJcDQ8tgwHx3KKP2tBK8mZTVhfY2Pv+p

v34Tfldfw+tnMRYMwCgAuEeH829+hnutpAhJMwa67+Lvn4iA/rn2yMACFG/+AnFK6oxlOxvXXh+sGT0IEO5K/w20NhA1apew+hx51kEfSMDG9coDlSfq

4t7GnwXxhdGNxmoNTolUNv1HbdE2aWYAtnYSUmZ6epJLbezQ046TW/8VPyi7H8Zj/evvv4nfjCzFj74fJqcJGXYLsvzjOvb+X8k7CeneMUoNM/4eMwtu

5IjKJOCx+10l+o9xTpy+KCJtsnAVYBG0+85AgDWlAAV8W4DBgEn7i1SLIjTp/1Aa3luINOXps9UFxL3daG+7iKamOrTqFiKtMBNLpYGN2VNKaWD9PIq

Q7ZZgoLdxD7bqtzl1YWZAHiyI6YBChGr2oFctpzeZv1wJBloTlJQhB58vybM2EtklG7E4NMhsoOpKMCC3IbLdHQwoFbHa1vpK9qK7vQ0Xm5pQ16rDw

rRCZC4Nc5AmJOpYjsAC6/b6Kw/qOtHa1oJz9U3oCEpAbsF6xJg/vhR9IKsH60rCUHF8AUp2xqFD8yLa4ksReSoH2o3KPdwZDAy2o2rrfvQkFyA3MUo

KUmwHDlbaUz8LYmMmx3EwYL+99ec/98oT+F7oRZGzYhYMAN92n8VbX9yPpx/Q4u3Ou62kCCnpREbBgPRbAteBPVvHdvCyHwzIazZ06WNrCaTjl

SfRXUYza4Y2F0+ta6NxoCQR2gp5y0zD7JyyBkSbegJjEw17sKNVSfsRFzGx7cTxl4vQlZiLjIQYiI+aaKfyQHmNkPlOQvKTkFZocqowuFHux9Zf7XgrvxA

LsxebBAO6P/0KZ7HMqWBgZdQKjIyssvIdoJ8ZcEMwYBIsmdbIfvv59kCBtacABbxbgMGAUfuKKeMX6xbKqRSG/y4/gatfJC+mMwkGershZ2zo96E3Tg

MSD5qcTRMy3dvdPPXG3WlCoopiELBfG42IrghstJIiJI5xLhiIlrZl1UCf12//A2R5bZGC1IJ4w+BwomlCpue7vGYg0F5bB1qk7ogZpa1NqrEnjl3JRk91jZ92

ijUqWWhcVWqYjTIWM043ksf+Zk97TXjFgHMf2iMCMRC3U3qSK/XpFmBRC7BCn4LmzmDAyoxWW8UG7A8c58yAlPbVg02GNCGzmQPjso4rTcjs/Kt

v4fSbVVi88QeQtrG3Egxg6AtpRgB3X8PIvU9bpggJY5M0IbEX/stA569MFm3bH0yKGRBRNtPUOv1gXGfx5F9eH3EyWqwZCER9zg70rBsb+APWrme

WSijZapF6Ih2Ljf+/1Gf0A2uRVhZospOQ/HYzyvbUICi1BOo4e/uk6vDesZ9gYJXKyE2ebTFOE3I0M9AWsgYrI7MAzLETDMgPU0y/B52YGRiqR2ZWI1a

Vmu4Qp/8IMRjw7sEOa0cBCtgWYDBgsNFvrWeZzy/llZ6MRmlZIqTpfP3T+N5m7NtRg9lphVCLJ2e98oK9/hR5b395ATGQVigW7AHaxnLsqZmNdJsLi

G0HA/IC4laskBbGhaK3/Tj2FrVhhX4BsTQ40CAw9zA2RgchSMq/Nt6xxtpTdiVVKK8BQ/Hy2gRrL+eCgVgp/ejlvBbEbpNdBnXNqNx7DosKd5otegXEwtt

dHctRkJGMSPSgSVOEmg79j6LpF5Q6WECMNGnRdRi0aCzfg5rZ6coCYnmgUB+di92bYhGsFeU4hJYwOS0gzMLMrPbGA9FAe209hOZ9O1AzOw2

F0u5PvWityIKmPwWHM5V8/f06pJRmYEXIADobylF0qgvLlR1nepv3YUflAJILspEUNRu9nXUor+jFxpJNiOk5jpeLupCovDcoFqln1WFhsfXfPpBmnppCs

E6fdy8tDD2Ei0o6iLTswGKXJBGAtSL+cDaWBwchSFq0a6cvGjNJC5yrEZRWiLS4BbjaKnaYOoery20FA/ICYn17SQutI7NxODUWQdZ+ZM6krMoCYpv

tbdrH/fw+Q8C3pfhNfSeipDUBYsVwJxrf1uL+Z55EZGAAAqScnyF8cf5NvPvVPHxff5zFB0FeQPxl1Eo8HvMUZl2PwPG9RWhbUYoyZbcxu4NJaZ2NME

2HvGJA3rHHMIMmrRlowSpl0b32rAZ7T4VCXZqK2NmWA384up64hVhzINYElCQq62PqES0tvB1AR40G5U09Sh803klI7h97c+oQoRaL1u3/roCk152G

+o6v8Hh8HO4NBvo+a8Zv3g/C40YLiB0FA6dH9mDT934oq5u0uZUFxOLzkJuBhEjrC4hNfnTM5Fq90ue0ciAZBdlJiJrdi866clT0bkTJphgra3s4dKAABSj

gGwIMBvTtLC08rUOctadG0nT7cSwoPohVXaa/QNzf3YhqzSlpa9GhwHAsSk6HOmlsW0XxR72sRtk2M1qFlPR0LLW2xabdNQPyIL2//STKNcoWk2Jr0

VQ1kgwL+pSc9lM9Yl9DvJqK8QUDyo+RyVsKWu/0TgcD5mUNjka8OgObrP4Sk7wlZ6WyDWB8igq6Q/WIkQaz8uDOZGtRk60oRXm1OKspQ42ypWe

0KgXp6UsNiyylJ5x7K3Hhqrxt6fIYLRq08UowYG5mBmA2aLbb1ib52IEIX5SMdHWSsgVqPzpPFqHodI+y9aYKwacbEGq0/eRYPxHbxqqwUZ2CVfJ+m

zDZDjI4Gqp0NdKt7k+r7CJUEWKUN24ltcIipUxZl3DhKiJTDqNwcev4gwGTX7YWW1luRFJwHSoHNllZiCkvIMbGheipbZK2il2wZCMy0leZbC1q8ovTFm

W1195jwcDquy/B3/8tkd+D37zdPRYMYABfNL+DP2oHEPr9Z/B398v7h0qpQp/da7HtpcknYkiHi7/7Aw4cjUDf8L1YlJwKdZK8LaU8hjXfQtbobOOBufSfR

XqT6e5dop3LNbJLyMJ4pKs3yT9eZjHwNxvoG65nvDuYOM10nYGuuQx7Ky/gKsKhSlkFVNYgWPTBSOOdhOSHIocuWn4XLFhntDBXedvP788ICKhC

X/e7aG77En1DkLYW/f7jj+NeZb2wozUDYlvWw/21yI8PdxwMSJMWxluLJiOyowY98UZbixr/ArG9/iNtibwR6hS5/3FmwDcGPawlBShgKTCtg4FJ+9ExX+

op+jxz/f70vlR31nWKBWzMTrm5FP7+SiDgxHVFjvul0ARp9xt7r5ERFUZGVjpxZe8+1JVfHDYXmdgPjVmuxfBucdaOAhSggPsFpnUw8MUXX6C2thbLli

3Dt99+a1Nn1qxZOHfuHJ599lncd9997lecllccRH//DXSd2gNNYIbVXYSmZbVYaA8WmPxgQEoNCviP8RsMD2Gorxvnf6PF/U9b+aExkyvdjdu3NwHQb

6E5/tt455E3MWOGZsJVE4uGxYLs8bwGO48jqyYUavG7I6GD8m+3iA0IrPyGyXiux2MoQAEKUADT+xeIRQPqdDp8+umndoOBu+66Cw888ADCwmzt

iOGDXaG3EXu2VqMncg1yc41/0dcHLVjlKRKY3GDAz+8aAgJOALg57vpIu95034WIx1diqUh4t/lagOHh5zA6GjLua3v7gU4HXjZAhoeTMTr64Di5LH+xf

KPNXzcf5yV5GAUoQAEfF5jWMwM+3nasPgUooAj4+/8R/v7vALjtdhNpG1EpNYgzAsa4snnjBL3nyDsz0XaCjjydAhSggOsCDAZct+OZFKCABwi4Z1Bq

vSKjo4swPPy/PKCWnlcEf//z8Pf/3YQKJgdaqyZ0DZ5MAQpQgAITE2AwMDE/nk0BCtxBAXelqlivwgLcvr0RgLzjEF+mAgEBP4ef3+cTYBGzAi/SdwKCP

JUCFKCAOwQYDLhDkdegAAXuiIA7drOxVXAxKzA6+ld26hUqrSEYHRV7BftWCpGf3w0EBByeUJtPbBehCd2aJ1OAAhSggJEAgwF2BwpQYFoKuG

NA6q6KiwWwIuVldNQ3divz929R1mi4LijWYYitWvmiAAUoQIE7K8Bg4M768+4UoICLApObIuRaoUZHYzE6er+y69BsjI7Od+1CHn5WQMCr8PPTTqiUI

yNrMTKycELX4MkUoAAFKDBxAQYDEzfkFShAgTsgMJkLh91ZHTmNSKQUzVMuK6cXASLFaPptVeqeGZkZuH37n30uvcqd/YrXogAFKOAuAQYD7p
LkdShAgSkVcMduNlNaYKs3E4HBfXbWJujXJXhO+pF7UoS4i9Cd73ssAQUoQAFZgMEAewIFKDAtBbwjGHCG/m6MjMQ4c8KkHOvv/xGAqxO69u3ba

gBzJnQNnkwBClCAAu4RYDDgHkdehQIUmGIBdzyhnuIi83aANBMyPPwTWlCAAhSggIcIMBjwkIZgMShAAecE/Pw+gdhalK/pJTAykoCRkcemV6FZW

gpQgAJeLMBgwIsbl1WjgDcL+PldQ0DAK95cRa+sG1OEvLJZWSkKUGAaCzAYmMaNx6JTwNcFZsw4MuH8dV83nMr6M0VoKrV5LwpQgALjE2AwM

D4nHkUBCnigwHTZXtQD6e5Ikfirw3eEnTelAAUoYFeAwQA7CAUoMI0FbmPGjH8HcHMa18F3ij4yskr6pWa+KEABClDAcwQYDHhOW7AkFKCACwL

+/pfg7/+WC2fylKkWGB5Oxujog1N9W96PAhSgAAXsCDAYYPegAAWmvUBAwH/Az++zaV8P767AXZAXD8/w7mqydhSgAAWmmQCDgWnWYCwuB

ShgTeBbBAS8yYDAgzvHyIgKIyMrPbiELBoFKEAB3xRgMOCb7c5aU8ArBeRfJX6fawg8rnUX4PbtLZwV8Lh2YYEoQAEKAAwG2AsoQAGvExA/SObn

99Wk1Mvf/yNuZ+qU7N2Q1wqEOHUWD6YABShAgakRYDAwNc68CwUo4DUCt+Hv38IZiHG05+joIgwPxwO4axxH8xAKUIACFLgTAgwG7oQ670kBC

niBwG1pjYLxDISf34A0a+DnpwVw2wvq6GoV5mB4+H9hdPR+Vy/A8yhAAQpQYIoEGAxMETRvQwEK+JrATfj5XYef35eGwED+9+devaZB/I6A+HExzg

b4Wn9nfSlAgekqwGBgurYcy00BCkxbAT+/aw6DAhE0yIHD9HiJlCARBHBtwPRoL5aSAhSggF6AwQD7AgUoQAGPFRCzC39WZhc8tZBzMDKykDMB

nto8LBcFKEABBwIMBthFKEABClCAAhSgAAUo4KMC0z4YOP1RAC5d8XfYfPeFjOCZ7w4jdJbDQ8d9gK5xD3b0rMOJ1Nhxn2PtQHEdDdQoXBU2oet

Mn5PbUbXhFCIPFMLzqtwPbXsPEBmLiNmyaG/bcZRrmtA1MITAkIXYuHs3VkW4oq1D454d6Fl3Aq51GR2aNftQ2XIZQ/G5TvU7d/VVV2o9eed4cj9yrt

be1T6iXYqA3LF+3t95Evv3N6BrIBIpHvm5d669eDQFKEABbxKY1sHAP5ycidMfOQ4E9A228bERVK69Zbv92qsg/w1LxXiG9+76A24cDLRXbUARnBvo

TUaHdFQOR+/bL5MHDeIs2rwTx58vgi7tMDKXzgZ6z2Lv1lMI3bYbKYtDgBs3MLAgAmFBrqhPLBjob96HF2vCkF2SisWhzt3fXX3Vubu6+WhdI/bsOIflh

sHkBPuRxfXMyuvk98FEausV7WMAMA8GOnH8hSJ0JZcgNzECLn10JoLLcylAAQpQwK7AtA4GgvMcP+ZfeT/wzmeyQehdgDbnGwYD4/hQOBrsO3p/

+gYDkzkgnFgwMJEB40TOHUd3mZpDGAxMjfOE72IeDEwwaJtweXgBClCAAhSwJ+DVwYAIBH6bDryvBR773zLDQMEEggFdMzT7KtFyGQiOjkdyZA

dqsHEsXaO/HXWaKtRevIyhwHAsSk6HOikGIttEGox1JSA3pAHlDV0YQDhUaTuhXqpPDZL/gDYZWiveYoai8/gLKBrKwKtKjon0pPhULEoPJkHKWtH

WYXtWDzYdUyMuCOjvbkS15hRaLw8AweGISxm7nxjMn4rIRnzXcVTLFUJCdjbWx/Q4KIftcva310FTVYuLl4cQGL4IyelqJMUouTYmvVAeHASnLURHj

UgdELdPQHb2ehgO7+9EnabCYKlKyYR6hZXcHGmA2IWE3BA0lMvXClelYad6KfSy2uYKVFS3KPdRIV2djrgwQApoxsARL6U1jA1kkrR7sKO6y1Dy6J

QDKIyoM5s90qG1QoOKFtGmwYhOyED2+lipzcVL16zBvsoWXBbvxScjsqMG2GgjTchO/7FeVvOPdj+6G6uhqWnB5aFAqY+qMzZJswiO+18v2o5rUN

HUgRtDgQhZmICMDKU9xmFsWs91iO6qRtfyA4bUt/7OOmgq9H1DhZRMNfTNKVJIyssb0HFDTsNKUGdgfaxpv5HKb94Wq3RSP4rIjkfX8Wrlc2naj2x9

BqxfzyxNz97MgGKi2jaERtG+Q4Fyv0sJQ+P+/WiQO7XymTLkm+G4pgJNHTcwFBiChQkZyFhv9P1gSDnsR3tVFvb3JKGkMFH6bNvzM+4FcjursG2oU

U4nC5S/Z1LCGpU0HePPmhyc1qtKUZaofLak75A2JB/ejRWhclpadetlqW+Hx21EpnqF/F1jt0xGwUCY+HxWw/Apik7BgcJVhs8m/zxTgAIUoMCdF/DaY

CDqO8B7/wRpjcCrrcDmX0w0GOjE8ZeL0JWYi4ykGARrm1G59xBa4vQpPVrUZeagZXE2sjfFIrS3DVU5+9GeWIqypAh5MFatg2pbIdKWhmCgtRpZ5b

1IObITIhtF/7L7xL29Cs9XhKFEGvwPolWzGeUt0YYcXCk4OLccR3Yuxez+ZpRtrUFoRglSxWhQW489OY1QlZRB/N2X7nMuGutyM5AUE4zu+iLsqo1G

wc82IQbK+3bSlSzKqa1DZk4LFmdnY1NsKHrbqpCzvx2JpWVIshjDy4OFc9HrkJuRhJjgbtQX5eFUmBpH1HEIgg71e7LQopLTCqBrRmVONYIzDiM11iz

JQBqUVUOn2obCtKUIGWhFdVY5elOOYOfS2ehv1WBr1SBSdsuDT219EXJOhUF9WI044W4x4DN7qmn+vsm/+9FWsQMVgWqUpC5GaG8nTpbnoU

M/CO48jpeLupCoGGubK7H3UAvijHKpx1refv+RAgsHa1TE+1m1kciQ0oj60V23H3lnVSgpS0Sgg/7XffJl5HUkoSQ3ERFB/WirykL5QKrcHg6MIeqZ1wZ

V7m6siw7G1Va5nmEieBKLQnT12JPVAlVJrtT3dM2VyKkORsbhVMQOmfZTud9osU4ajJp9QVqdGTDvR7tQG12An22KARx8BjCRNCHp3BpgXS4yE

mIQfOMsyrOq0REYjeRsEQTLn6m82mjkSp+pbpx8OQ8dSUqqTH8bqrLKMZB6BOq4IJO21bdjdmkqpJjInp/Fx2EP5GJlICEmGDfOliOrugOB0cnIVo991

mqjcyUjqU+dW24YoEv/bonH4d0r0GvcJ6BFfVEO9OfZLxNnBu78n3aWgAIUoMD4BbwyGBDpQGJG4HsRQJsW+J4yKyBYXJ4ZEAPx8kDlD7vy1Lc+

Bzu0ysyAlffFIOmFoiFkvJqKMPFHtiMJx6TBrniJP5j7gdxXTRaT2g0GBluh2VyHhYcLsSq0HVXPNwHL26BbeEAa+LZXPY9TkaXK09hB9PcDs2frRwvy

U8Bzyw+jcFWoFAxUhJXioH6krh8YSdd2PhgQ9y4PlAcY+pf5TIZRyIOqDTWIOFCCRMPje/FEsh3rRHDUYxz0yGdp67YjR5dumBUxXEsqdweSlNkQS

bZqA/YjF6+mhkl1bok/jN2GkWUvzu7diiaVMlCdSDBg5d6DrRpsrluIw4WroLUw0aE+Zwe01mYGHPQfsYbFfjCgRd32LPRsOiYNLuVXN85WdSBsXSLC

Wuz3v8H+fgwFzoahuwgXqXumItaucazU7/Yj26ht9H1NNhbvV4SVjPU1iLLmQJf+KlKlJ8dtSDiSqQTFvehuEwu4FyNqXMFABcJKDxoCTv3gVviHwv5n

YOLBQBeST6RjsaLdViH6XTZOpCv/xSTYEGUZQuDs2Yac+bF+Gmto2yOqFmTt70Fy6djiert+Zoub5JmB5LEyoA0VoiGzT2CsWEYBgLQmpgkqaR2G

/NkQ3xHi8yJ9RwQX4+D6KKmGg7p2dOjCsDA2DF322tRodk2exGSa0Pj/JPNIClCAAlMv4BXBgBj873gSKGiUAY89BzwfB9z4FogqBnq/HYN1NRiQ/si

2JshP3ZXLGQ/OpP9vMtgX8+jN2PdiA+IOFGJxm/nOQ5Y7bugHsrYXEPejed+LuLDqGNQhp/BCbTRKkzqwo2kxjqgj0LB9H7BzbGBknCIxpJRZSnWR

BmgbcCpyLI3DfGDkaE2A6fvy4K8jyXggKqq/Dy82xFlJC7A2OBCDllpE662MUkIMrWdtBx1pwNWDdUaLvsfKBlRtMB0simuJICVvKENO75pIMCCda5R

npC+olAqxGG17dqA1QZ6hkF+21ww46j/SA3a7MwPC1CzAMvo+sTzXvP/p0Ha8QkkT0p+opKrZNZYDrnNGKUH6esr/DdL71ptTpEvp0Fy2F5UXA7FQ

tQKqeBVUMWHWF5mOY82A+ZNue5+BiQcDtvqdMkI3L6+uDccrlDQhA7E8syiVuy0Mqost6E6WZxON+4xtP9M/Go7bWelHhtkAowAgrh37XmyCSpm

VGeysQ15RLXSRcYhfvhyqOH2AJvdj22XizMDU/ynnHSlAAQq4LuAVwcD7/wQsjgCOtcozAf+aJIOIdQJivYDxa0qDgd5G7Nkq737inmBA/kOe1bMOJW

EVOL6gBDvjOqB54xHsngAADoZJREFUsQ3xpZE4laPFRiXNRx7o1CIyuwQbF4dKqTfGg7apCAZ6G/dgq1EKwlg7jCMYMAu8bHZxF4IB8aS1SDzBdU

cwUB5oSK0yG5ZJ3hMKBoz6z+QGA4Nor9qK/T3JKMhNRJSYWDAOktwQDJg6WLbmoK4TrW0tOFffhI6gBOQWrEeM+bYzzgYDDj4DUxoMhLSjaut+

9CQXIDcxSgp2jANqaRBfG4nc3QtRl9OAOMPMgPy5deSnF3U+GBAbZu3F1pZ4HFh1ATvqF0kpQmOTMr3obm/DxaYm1LXqsDCtEJlL5QDPdpkYDLj

+J5lnUoACFJh6Aa8IBjbHAUefM8Xb8gs5ODB/uRoMiMHRhNOETH6TwJWZAWWR8L52RAQOIG6nmNoXawdeRAsWoQUrxtKQxGDuVKTRU3k5Ra

UlfjJmBsTAxn1pQnEdGryoAdRH5IXQdl/jGKhOWpqQth6ZWY1YVSqvwzB/WZpMdZqQSLnRYvbCWOCcvZkpKzMWbRXYsD9QXsRu11hOEzJNET

MOPEOk/il+R0NeD2L6Mk49kd8T21DmYSjDyiJrZ4MBB5+BKQ0GYDmDJaUVBRrNDCjfD1LAf245SqWFtvLn25afeZ9zJRiQZzCbgEVdGFIdUFLqLN

O1pKChSYUDhcvRY7dMDAam/k8570gBClDAdQGvCAZE9Y0DAuMFw24LBsQgxXgBcfdZaPZX4oLZAuLWFfIC49DedhzfW4S2FUYLiMcRDOjEOoT

WeBzOXo7goCAr6RJirUARmkLWGXYRktJxDl3Eom1GKSndJ/Hyrg4sL8hAciTQ06RBUU0HIseZJuSoHBbvSwuIW7FCWiwbit7249hb1IYVLi0gFtZ5aI

ndhkKxK9CgDs2Ve3FuUSF2mq8qdTBQlRcQA2mFaRAbN2kby7GnZjbS9QuIdfXI2dGK+MPZWB4chKAgZxYQ96J53w5UDiSjIDsJUbN70VlXjorejSjZ

FIMgswXE3Wc12F95we4CYlv9R/TjCS8gttn/+tFcthXVQWkoTIvDgqutqN5XiXNXl48rGJAWECsLpRMirSwglhYYtyB2W6G0e9agWBC+9xwWFe7ECp

1ybkE2kqJmY1Bbj6KsOiws/ncoqepGH2GRSqZBYO5hbIzWt5Xpj9eZpAk5+AxAyqc3vp7Zt4XD3YScSBMKFgulqxGUVoi0uAW42lqNfZXncHW5ZTAg

0qzqxVoXsa5FLKqx52e2rsKlYABy+uGhi2ObEQBy366ZnSZ/BtGL1oosaPpTcDhzKWbbLRODAdf/JPNMClCAAlMv4DXBgD4g+KcnTRcMuy8YkPaJd

Li16MlyDRqkrQPF1qKpUCfJ20yO54+0VFZdM8r2VuLC1UikKIt5zZ6lSrsIVYQoO6bIo0SzH2OSzzDd7jEFKt0h1MfIi4YdpQk5LIeVcva3n0S5RtkiUmwt

mqpGktkWkXLJrGwtumgdctWJiNKn1/e3Y8xSbMupRsamxUbpC4qKg2BAHKU9q0FZTSukHVajVUhJT8dSw5N8JWf9wlVEpojF1VrTX0+1u5uQdHWc

1ZShRmy/KG0vuRHqlFWGeji7tait/jOeYAAw3Vo0fFEyUtVJ0o40DvtffydO6rfEDFdhY1Iw6ioH5G1qb9hblyHnx1urZ48yCyXeN+kbwdGIV2dgk/LLaeIXnj

UVTfLWosHRUKWrkS72frV4DaKzLg9Fp3qAeLFAXKwJsRMMOPgMAObXM1uN685gIExsD6r/FV6x/e1GJAXXoXJgkzSbd8N8PYgIrrPOGoJpe37GT

A7bWf9dZJa+N/bU32jbz/5uNFZrcErftxclI13sSKR8Rm2XicHA1P8p5x0pQAEKuC7gVcGAI4aQu4DL9n50zNEF+D4FKDAOAXlnI126jd9TGMcVeMjUC

pjuRDa19+bdKEABClDgzgpM62DgH07OxOmP/MctuPGxEVSuvTXu43kgBSjgWGCw8ziyakKhFr8ZEToo/5ZDbSSyxe8IOFrz4fjyPGIyBQb70a89h/15r

Yg/YOW3HSbz3rw2BShAAQp4hMC0DgaE4OmPAnDpSoBDzHtDhrHmu8PSj5DxRQEKuFNASU86paRihcdho9EvDLvzTryWewWknbXOhWBJ2m5k

Gn4N3b334NUoQAEKUMCzBaZ9MODZvCwdBShAAQpQgAIUoAAFPFeAwYDntg1LRgEKUIACFKAABShAgUkVYDAwqby8OAUoQAEKUIACFKAA

BTxXgMGA57YNS0YBClCAAhSgAAUoQIFJFWAwMKm8vDgFKEABClCAAhSgAAU8V4DBgOe2DUtGAQpQgAIUoAAFKECBSRVgMDCpvLw4BSh

AAQpQgAIUoAAFPFeAwYDntg1LRgEKUIACFKAABShAgUkVYDAwqby8OAUoQAEKUIACFKAABTxXgMGA57YNS0YBClCAAhSgAAUoQIFJFWAw

MKm8vDgFKEABClCAAhSgAAU8V4DBgOe2DUtGAQpQgAIUoAAFKECBSRVgMDCpvLw4BShAAQpQgAIUoAAFPFeAwYDntg1LRgEKUIACFKAA

BShAgUkVYDAwqby8OAUoQAEKUIACFKAABTxXgMGA57YNS0YBClCAAhSgAAUoQIFJFWAwMKm8vDgFKEABClCAAhSgAAU8V4DBgOe2DUtG

AQpQgAIUoAAFKECBSRVgMDCpvLw4BShAAQpQgAIUoAAFPFeAwYDntg1LRgEKUIACFKAABShAgUkVYDAwqby8OAUoQAEKUIACFKAABTxXg

MGA57YNS0YBClCAAhSgAAUoQIFJFWAwMKm8vDgFKEABClCAAhSgAAU8V4DBgOe2DUtGAQpQgAIUoAAFKECBSRXwuGDgypUrmDt3Lvz9/S

e14rw4BShAAQpQgAIUoAAFfFlgZGQEX3/9NcLDwyfE8Nlnn8FvYGBg1NZVnIk4bty4gcHBQcyaNQsBAQETKhhPpgAFKEABClCAAhSgAAUsBYaHh

zEwMICZM2ciJCRkQkRuDQZESXp7e/HNN99ARCt8UYACFKAABShAAQpQgALuFRBZOOLhe2ho6IQv7PZgYMIl4gUoQAEKUIACFKAABShAgSkR

YDAwJcy8CQUoQAEKUIACFKAABTxPgMGA57UJS0QBClCAAhSgAAUoQIEpEWAwMCXMvAkFKEABClCAAhSgAAU8T4DBgOe1CUtEAQpQgAIU

oAAFKECBKRFgMDAlzLwJBShAAQpQgAIUoAAFPE+AwYDntQlLRAEKUIACFKAABShAgSkRYDAwJcy8CQUoQAEKUIACFKAABTxPgMGA57UJS

0QBClCAAhSgAAUoQIEpEWAwMCXMvAkFKEABClCAAhSgAAU8T4DBgOe1CUtEAQpQgAIUoAAFKECBKRFgMDAlzLwJBShAAQpQgAIUoAAFP

E+AwYDntQlLRAEKUIACFKAABShAgSkRYDAwJcy8CQUoQAEKUIACFKAABTxPwIuCAS3eKd6F/F99gJvrj6I181HP02aJKEABClCAAhSgAAUo4EE

CdyAYuIrT6gQUtBgpBM3HI89sQ456DR6a65pO3zu78D8181F5LBNLXLyGa3fmWRSgAAUoQAEKUIACFJieAncsGDizugGaNQsktVt9WlzQqLH9kw1

4/VgyolywvHpajYRPXuKMgAt2PIUCFKAABShAAQpQwDcFPCIYkCOCZhT/bQkifn4am+efhjrhE6z+l2s4VHAGqytbIbJ+bn1ci4ISDc58cBNzHnkWOcW
78FQEcKksDltOjjXg+qP2jwcuoSzuFYTnLcGZskOYmykHJraurz8+qvIZfKwpwa8+GMR81TYcLN2Ah2Yq9716AccKduGVlmsYnPMIns3MR+aaKMhva

9FcVoKC2hZcw3yotpWieMOjkCcwbuHjE7uw65Wz6Lk5B5ErXkJ+/gY8ytkN3/xEstYUoAAFKEABClBgCgU8OBgogPbZf0HZS0sRvmAuZmpPQ/2jM1h

9ohRrogDtO2VIK5uJ4tcz8ehMwGJmwO7xIhjYglrVNlTmJCNq/lzMvWbv+vrjc3C0OBkPBXWjNutHOLbk5zi9+SHg1iVoNqThk80nUCoCgKvNKE7LAnb

9FruWABfKfoRi5ONY5hLM7fsYJ3b9BC3KzEjfO/l4SjMXGim9qQ8XyjYjTfsSflv2lBIsTGFv4K0oQAEKUIACFKAABXxKwEOCgT7p6fhPTkbhqBjc94mZ

gUtY//tdWKo8eb9UthQlUSdwIlmfRNSN2g0boM1phvpRy2DA/vFicF+CqNdPQH85Z4+Xgo8zz6BB8xTmNhfjbw89hNdPjKU49V2qxbFrKqgfuWBRl1vi+

JNLpHMhrnNhPX6fv1SeRejrxoVPgAeXRDEY8KmPIitLAQpQgAIUoAAFpl7A7cFAb28vvvnmG4yMjJjUZt68ecq/r+HtzLUo+YPx20GYF5sIdX4WVoUD

uPY2Mtd2IeX8djwsHWbtHPn8H1ecx/aHxSmZWNuVgvPiHw6P/xAHl1Uj+o0yPD1/PNc3P165X1M83ih7GpDu/VOc3/6YZQt+eBDL0n9p+d9/kCOdO//a

eRRn5eN80DIkJj6JxCeWISZcn3skn3b9+vWp7xm8IwUoQAEKUIACFKCARwr4+/tj1qxZCA0NnXD53BoM3LhxA7du3UJwcDACAgJsFE4e2DfFv4Eye

SRu+bIRDPxh7dvIX2Y9md5aMGD7eOvBwPiPdzIYyJ+H6l/+FDE2m+sWLne+j/ea6vHmm+eBLRU4+FyMst5gwm3MC1CAAhSgAAUoQAEKeJHA8P

Cw9PA9KCgIISEhE6qZW4OBK1euYO7cuRDRiu2XK8HALbxX+jSyUIq3sx6zOkg2DQYcHW8eDDh7vGkwMOfdUqyqiMZrR9ciUqn4rcsfon3wPjwW1I

S05+qR+ItKrBWzHiavW7j8YTuuz4vFw/rZgM7X8OOU68g3zIpMqH15MgUoQAEKUIACFKCAFwqILJyvv/4a4eEWA0ynaiuCgf8flAna4BIi69cAAAAAS

UVORK5CYII=!

#20 - 2021-03-30 13:54 - Holger Just

If you have a default priority defined, we assume high priority issues to have any priority higher than the defined default. Only of there is no default

priority defined, we consider priorities above the "middle" priority to be high.

Apart from that, it is currently not possible to further customize the base priority.

#21 - 2021-03-30 14:04 - Bernhard Rohloff

- Related to Feature #34988: Add new notification settings for priority based notification to the user guide added

Files

0001-Use-existing-scopes-instead-of-one-off-AR-condition.patch 969 Bytes 2020-01-07 Jan from Planio www.plan.io

0002-Extract-finding-the-default-or-middle-issue-priority.patch 2.58 KB 2020-01-07 Jan from Planio www.plan.io

0003-Add-IssuePriority-high-and-low-helpers.patch 2.57 KB 2020-01-07 Jan from Planio www.plan.io

0004-Enable-users-to-receive-email-notifications-about-hi.patch 8.84 KB 2020-01-08 Jan from Planio www.plan.io

0005-German-translation-for-high-priority-notification-se.patch 1.05 KB 2020-01-08 Jan from Planio www.plan.io

Powered by TCPDF (www.tcpdf.org)

2025-05-01 11/11

http://www.tcpdf.org

